#
# spec file for package gcc (Version 3.3.3)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  dejagnu doxygen expat expect glibc-devel-32bit gnat gnat-runtime graphviz tcl texinfo

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils dejagnu doxygen expat expect gcc gdbm gettext gnat gnat-runtime graphviz libtool perl rpm tcl

Name:         gcc
URL:          http://gcc.gnu.org/
%define gcc33_for_bp 0
# Just touch RUN_TESTS in the source dir to run the testsuite.
%define run_tests %(test -f %_sourcedir/RUN_TESTS && echo 1 || echo 0)
# XXX: alpha disabled for now
%ifarch  %ix86 ia64 mips x86_64 s390 s390x ppc sparc
%define build_gnat 1
%else
%define build_gnat 0
%endif
%ifarch %ix86 ia64
%define build_gnat_shared %{build_gnat}
%else
%define build_gnat_shared 0
%endif
%ifarch armv4l hppa
%define build_java 0
%else
%define build_java 1
%endif
%ifarch x86_64 s390x sparc64 ppc ppc64
%define biarch 1
%else
%define biarch 0
%endif
# We could build nof libraries for PPC but currently won't
%define build_nof 0
%ifarch x86_64 ia64 s390x sparc64 alpha ppc64
# 64-bit is primary build target
%define build_primary_64bit 1
%else
%define build_primary_64bit 0
%endif
License:      GPL
Version:      3.3.3
Release:      43.31
%define gcc_version 3.3.3
#%define snapshot_date 20030703
Group:        Development/Languages/C and C++
Provides:     c_compiler
# Replace egcs
Provides:     egcs
Obsoletes:    egcs
Requires:     binutils glibc-devel cpp = %{version}-%{release} 
Autoreqprov:  on
Summary:      The GNU C Compiler and Support Files
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
#Source:       gcc-%{gcc_version}-hammer-%{snapshot_date}.tar.bz2
#Source:       gcc-%{gcc_version}.tar.bz2
Source:       gcc-3.3.3.tar.bz2
Patch0:       gcc-3.3.3-hammer.patch.bz2
Patch1:       gcc-noalias-warn.diff
Patch2:       copy-frame-related.diff
Patch3:       head-tail.patch
Patch4:       bug-reporting.patch
Patch5:       libgc.patch
Patch6:       ia64intrin.patch
Patch7:       ffi.patch
Patch8:       string-allocator.patch
Patch11:      compact-dwarf2.patch
Patch16:      c99-double-inline.diff
Patch17:      c99numbers.diff
Patch19:      pathlength.patch
Patch21:      gcse-volatile.patch
Patch22:      swig-alias.patch
Patch32:      aliasing.diff
Patch33:      aliasing12.diff
Patch34:      aliasing3.diff
Patch37:      cse-mem-expr.patch
Patch42:      emit-note.patch
Patch47:      regparam.patch.gz
Patch48:      unwind-ia64.patch
Patch49:      ia64-reorg.patch
Patch50:      fix-var-tracking.diff
Patch51:      istream-perf.diff
Patch52:      lsb2-symbols.diff
# Ada patches
Patch53:      gcc32-ada-link.patch
Patch54:      gcc32-ada-addr2line.patch
# c++ patches
# PPC specific
Patch61:      gcc-3.3-ppc64.patch
# Do not merge this patch into the Alan M patch, it will just get lost later.
# If you think it is useless, try building "fam" and watch libtool break.
Patch63:      ppc-nostartfileprefix.patch
Patch64:      ppc-nof.patch
Patch65:      altivec.patch
Patch66:      altivec-to-head.diff.gz
Patch67:      suse44478.diff
Patch68:      suse50394.diff
Patch69:      suse50782.diff

%description
NOTE: Be sure to install at least the following packages as well, or
you will not be able to compile:  binutils and glibc-devel.

Compiled with support for Ada, C, C++, Fortran77, Java and Objective-C.



Authors:
--------
    Adam Megacz <adam@xwt.org>
    Adam Nemet <anemet@lnxw.com>
    Alan Lehotsky <apl@alum.mit.edu>
    Alan Modra <amodra@bigpond.net.au>
    Aldy Hernandez <aldyh@redhat.com>
    Alex Samuel <samuel@codesourcery.com>
    Alexandre Oliva <aoliva@redhat.com>
    Alexandre Petit-Bianco <apbianco@redhat.com>
    Andreas Jaeger <aj@suse.de>
    Andreas Schwab <schwab@suse.de>
    Andreas Tobler <andreast@gcc.gnu.org>
    Andrew Cagney <cagney@redhat.com>
    Andrew Haley <aph@redhat.com>
    Andrew Macleod <amacleod@redhat.com>
    Andrew Pinski <pinskia@physics.uc.edu>
    Ansgar Esztermann <ansgar@thphy.uni-duesseldorf.de>
    Anthony Green <green@redhat.com>
    Arnaud Charlet <charlet@act-europe.fr>
    Ben Elliston <bje@wasabisystems.com>
    Ben Elliston <config-patches@gnu.org>
    Benjamin Kosnik <bkoz@redhat.com>
    Bernardo Innocenti <bernie@develer.com>
    Bob Wilson <bob.wilson@acm.org>
    Brendan Kehoe <brendan@zen.org>
    Bruce Korb <bkorb@gnu.org>
    Bryce McKinlay <bryce@gcc.gnu.org>
    Carlo Wood <carlo@alinoe.com>
    Catherine Moore <clm@redhat.com>
    Chandra Chavva <cchavva@redhat.com>
    Chris Demetriou <cgd@broadcom.com>
    Christian Cornelssen <ccorn@cs.tu-berlin.de>
    Christian Ehrhardt <ehrhardt@mathematik.uni-ulm.de>
    Christopher Faylor <cgf@redhat.com>
    Clinton Popetz <cpopetz@cpopetz.com>
    Craig Rodrigues <rodrigc@gcc.gnu.org>
    DJ Delorie <dj@delorie.com>
    DJ Delorie <dj@redhat.com>
    Dale Johannesen <dalej@apple.com>
    Daniel Berlin <dan@dberlin.org>
    Danny Smith <dannysmith@users.sourceforge.net>
    Dara Hazeghi <dhazeghi@yahoo.com>
    Dave Anglin <dave.anglin@nrc.ca>
    Dave Brolley <brolley@redhat.com>
    Dave Love <d.love@dl.ac.uk>
    David Billinghurst <David.Billinghurst@riotinto.com>
    David Daney <ddaney@avtrex.com>
    David Edelsohn <dje@watson.ibm.com>
    David O'Brien <obrien@FreeBSD.org>
    David S. Miller <davem@redhat.com>
    Denis Chertykov <denisc@overta.ru>
    Devang Patel <dpatel@apple.com>
    Diego Novillo <dnovillo@redhat.com>
    Don Lindsay <dlindsay@redhat.com>
    Dorit Naishlos <dorit@il.ibm.com>
    Doug Evans <dje@transmeta.com>
    Douglas Rupp <rupp@gnat.com>
    Eric Blake <ericb@gcc.gnu.org>
    Eric Botcazou <ebotcazou@libertysurf.fr>
    Eric Christopher <echristo@redhat.com>
    Falk Hueffner <falk@debian.org>
    Fariborz Jahanian <fjahanian@apple.com>
    Fergus Henderson <fjh@cs.mu.oz.au>
    Florian Weimer <fw@deneb.enyo.de>
    Franz Sirl <franz.sirl-kernel@lauterbach.com>
    Gabriel Dos Reis <gdr@integrable-solutions.net>
    Gavin Romig-Koch <gavin@redhat.com>
    Geert Bosch <bosch@gnat.com>
    Geoff Keating <geoffk@geoffk.org>
    Geoffrey Keating <geoffk@geoffk.org>
    Gerald Pfeifer <gerald@pfeifer.com>
    Giovanni Bajo <giovannibajo@gcc.gnu.org>
    Graeme Peterson <gp@qnx.com>
    Graham Stott <graham.stott@btinternet.com>
    Greg McGary <gkm@gnu.org>
    HJ Lu <hjl@lucon.org>
    Hans Boehm <hboehm@gcc.gnu.org>
    Hans-Peter Nilsson <hp@axis.com>
    Hans-Peter Nilsson <hp@bitrange.com>
    Hartmut Penner <hpenner@de.ibm.com>
    Ian Dall <ian@beware.dropbear.id.au>
    Ian Taylor <ian@wasabisystems.com>
    Ira Ruben <ira@apple.com>
    Jakub Jelinek <jakub@redhat.com>
    James Dennett <jdennett@acm.org>
    James Lemke <jim@wasabisystems.com>
    Jan Hubicka <jh@suse.cz>
    Janis Johnson <janis187@us.ibm.com>
    Jason Eckhardt <jle@rice.edu>
    Jason Merrill <jason@redhat.com>
    Jason Thorpe <thorpej@wasabisystems.com>
    Jeff Knaggs <jknaggs@redhat.com>
    Jeff Law <law@redhat.com>
    Jeff Sturm <jsturm@gcc.gnu.org>
    Jeffrey D. Oldham <oldham@codesourcery.com>
    Jim Blandy <jimb@redhat.com>
    Jim Wilson <wilson@specifixinc.com>
    Joel Brobecker <brobecker@gnat.com>
    Joel Sherrill <joel@oarcorp.com>
    Joern Rennecke <joern.rennecke@superh.com>
    John Carr <jfc@mit.edu>
    John Wehle <john@feith.com>
    Jonathan Wakely <redi@gcc.gnu.org>
    Josef Zlomek <zlomekj@suse.cz>
    Joseph Myers <jsm@polyomino.org.uk>
    Kaveh Ghazi <ghazi@caip.rutgers.edu>
    Kaz Kojima <kkojima@gcc.gnu.org>
    Kazu Hirata <kazu@cs.umass.edu>
    Kean Johnston <jkj@sco.com>
    Kevin Buettner <kevinb@redhat.com>
    Klaus Kaempf <kkaempf@progis.de>
    Kresten Krab Thorup <krab@gcc.gnu.org>
    Kriang Lerdsuwanakij <lerdsuwa@users.sourceforge.net>
    Krister Walfridsson <cato@df.lth.se>
    Laurent Guerby <guerby@acm.org>
    Laurynas Biveinis <laurynas.biveinis@mif.vu.lt>
    Loren J. Rittle <ljrittle@acm.org>
    Manfred Hollstein <mh@suse.com>
    Marc Espie <espie@cvs.openbsd.org>
    Marc Lehmann <pcg@goof.com>
    Marek Michalkiewicz <marekm@amelek.gda.pl>
    Mark Mitchell <mark@codesourcery.com>
    Mark Wielaard <mark@gcc.gnu.org>
    Martin v. Lwis <loewis@informatik.hu-berlin.de>
    Matt Austern <austern@apple.com>
    Matt Kraai <kraai@alumni.cmu.edu>
    Matt Thomas <matt@3am-software.com>
    Matthew Gingell <gingell@gnat.com>
    Matthew Hiller <hiller@redhat.com>
    Matthias Klose <doko@debian.org>
    Michael Hayes <m.hayes@elec.canterbury.ac.nz>
    Michael Matz <matz@suse.de>
    Michael Meissner <gnu@the-meissners.org>
    Michael Sokolov <msokolov@ivan.Harhan.ORG>
    Michael Tiemann <tiemann@redhat.com>
    Mike Stump <mrs@apple.com>
    Mohan Embar <gnustuff@thisiscool.com>
    Mumit Khan <khan@xraylith.wisc.edu>
    Nathan Sidwell <nathan@codesourcery.com>
    Nathanael Nerode <neroden@gcc.gnu.org>
    Neil Booth <neil@daikokuya.co.uk>
    Nick Clifton <nickc@redhat.com>
    Nicola Pero <n.pero@mi.flashnet.it>
    Nicolas Pitre <nico@cam.org>
    Olivier Hainque <hainque@act-europe.fr>
    Ovidiu Predescu <ovidiu@cup.hp.com>
    Paolo Carlini <pcarlini@unitus.it>
    Paul Brook <paul@nowt.org>
    Paul Koning <ni1d@arrl.net>
    Per Bothner <per@bothner.com>
    Phil Blundell <pb@futuretv.com>
    Phil Edwards <pme@gcc.gnu.org>
    Philipp Thomas <pthomas@suse.de>
    Philippe De Muyter <phdm@macqel.be>
    Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
    Ralph Loader <rcl@ihug.co.nz>
    Richard Earnshaw <rearnsha@arm.com>
    Richard Henderson <rth@redhat.com>
    Richard Sandiford <rsandifo@redhat.com>
    Richard Stallman <rms@gnu.org>
    Robert Bowdidge <bowdidge@apple.com>
    Robert Dewar <dewar@gnat.com>
    Roger Sayle <roger@eyesopen.com>
    Rolf Rasmussen <rolfwr@gcc.gnu.org>
     

%package locale
Summary:      Locale Data for the GNU Compiler Collection
Group:        Development/Languages/C and C++
Requires:     gcc = %{version}-%{release}
Autoreqprov:  on

%description locale
Locale data for the GNU Compiler Collection (GCC) to give error message
in the current locale.



Authors:
--------
    Adam Megacz <adam@xwt.org>
    Adam Nemet <anemet@lnxw.com>
    Alan Lehotsky <apl@alum.mit.edu>
    Alan Modra <amodra@bigpond.net.au>
    Aldy Hernandez <aldyh@redhat.com>
    Alex Samuel <samuel@codesourcery.com>
    Alexandre Oliva <aoliva@redhat.com>
    Alexandre Petit-Bianco <apbianco@redhat.com>
    Andreas Jaeger <aj@suse.de>
    Andreas Schwab <schwab@suse.de>
    Andreas Tobler <andreast@gcc.gnu.org>
    Andrew Cagney <cagney@redhat.com>
    Andrew Haley <aph@redhat.com>
    Andrew Macleod <amacleod@redhat.com>
    Andrew Pinski <pinskia@physics.uc.edu>
    Ansgar Esztermann <ansgar@thphy.uni-duesseldorf.de>
    Anthony Green <green@redhat.com>
    Arnaud Charlet <charlet@act-europe.fr>
    Ben Elliston <bje@wasabisystems.com>
    Ben Elliston <config-patches@gnu.org>
    Benjamin Kosnik <bkoz@redhat.com>
    Bernardo Innocenti <bernie@develer.com>
    Bob Wilson <bob.wilson@acm.org>
    Brendan Kehoe <brendan@zen.org>
    Bruce Korb <bkorb@gnu.org>
    Bryce McKinlay <bryce@gcc.gnu.org>
    Carlo Wood <carlo@alinoe.com>
    Catherine Moore <clm@redhat.com>
    Chandra Chavva <cchavva@redhat.com>
    Chris Demetriou <cgd@broadcom.com>
    Christian Cornelssen <ccorn@cs.tu-berlin.de>
    Christian Ehrhardt <ehrhardt@mathematik.uni-ulm.de>
    Christopher Faylor <cgf@redhat.com>
    Clinton Popetz <cpopetz@cpopetz.com>
    Craig Rodrigues <rodrigc@gcc.gnu.org>
    DJ Delorie <dj@delorie.com>
    DJ Delorie <dj@redhat.com>
    Dale Johannesen <dalej@apple.com>
    Daniel Berlin <dan@dberlin.org>
    Danny Smith <dannysmith@users.sourceforge.net>
    Dara Hazeghi <dhazeghi@yahoo.com>
    Dave Anglin <dave.anglin@nrc.ca>
    Dave Brolley <brolley@redhat.com>
    Dave Love <d.love@dl.ac.uk>
    David Billinghurst <David.Billinghurst@riotinto.com>
    David Daney <ddaney@avtrex.com>
    David Edelsohn <dje@watson.ibm.com>
    David O'Brien <obrien@FreeBSD.org>
    David S. Miller <davem@redhat.com>
    Denis Chertykov <denisc@overta.ru>
    Devang Patel <dpatel@apple.com>
    Diego Novillo <dnovillo@redhat.com>
    Don Lindsay <dlindsay@redhat.com>
    Dorit Naishlos <dorit@il.ibm.com>
    Doug Evans <dje@transmeta.com>
    Douglas Rupp <rupp@gnat.com>
    Eric Blake <ericb@gcc.gnu.org>
    Eric Botcazou <ebotcazou@libertysurf.fr>
    Eric Christopher <echristo@redhat.com>
    Falk Hueffner <falk@debian.org>
    Fariborz Jahanian <fjahanian@apple.com>
    Fergus Henderson <fjh@cs.mu.oz.au>
    Florian Weimer <fw@deneb.enyo.de>
    Franz Sirl <franz.sirl-kernel@lauterbach.com>
    Gabriel Dos Reis <gdr@integrable-solutions.net>
    Gavin Romig-Koch <gavin@redhat.com>
    Geert Bosch <bosch@gnat.com>
    Geoff Keating <geoffk@geoffk.org>
    Geoffrey Keating <geoffk@geoffk.org>
    Gerald Pfeifer <gerald@pfeifer.com>
    Giovanni Bajo <giovannibajo@gcc.gnu.org>
    Graeme Peterson <gp@qnx.com>
    Graham Stott <graham.stott@btinternet.com>
    Greg McGary <gkm@gnu.org>
    HJ Lu <hjl@lucon.org>
    Hans Boehm <hboehm@gcc.gnu.org>
    Hans-Peter Nilsson <hp@axis.com>
    Hans-Peter Nilsson <hp@bitrange.com>
    Hartmut Penner <hpenner@de.ibm.com>
    Ian Dall <ian@beware.dropbear.id.au>
    Ian Taylor <ian@wasabisystems.com>
    Ira Ruben <ira@apple.com>
    Jakub Jelinek <jakub@redhat.com>
    James Dennett <jdennett@acm.org>
    James Lemke <jim@wasabisystems.com>
    Jan Hubicka <jh@suse.cz>
    Janis Johnson <janis187@us.ibm.com>
    Jason Eckhardt <jle@rice.edu>
    Jason Merrill <jason@redhat.com>
    Jason Thorpe <thorpej@wasabisystems.com>
    Jeff Knaggs <jknaggs@redhat.com>
    Jeff Law <law@redhat.com>
    Jeff Sturm <jsturm@gcc.gnu.org>
    Jeffrey D. Oldham <oldham@codesourcery.com>
    Jim Blandy <jimb@redhat.com>
    Jim Wilson <wilson@specifixinc.com>
    Joel Brobecker <brobecker@gnat.com>
    Joel Sherrill <joel@oarcorp.com>
    Joern Rennecke <joern.rennecke@superh.com>
    John Carr <jfc@mit.edu>
    John Wehle <john@feith.com>
    Jonathan Wakely <redi@gcc.gnu.org>
    Josef Zlomek <zlomekj@suse.cz>
    Joseph Myers <jsm@polyomino.org.uk>
    Kaveh Ghazi <ghazi@caip.rutgers.edu>
    Kaz Kojima <kkojima@gcc.gnu.org>
    Kazu Hirata <kazu@cs.umass.edu>
    Kean Johnston <jkj@sco.com>
    Kevin Buettner <kevinb@redhat.com>
    Klaus Kaempf <kkaempf@progis.de>
    Kresten Krab Thorup <krab@gcc.gnu.org>
    Kriang Lerdsuwanakij <lerdsuwa@users.sourceforge.net>
    Krister Walfridsson <cato@df.lth.se>
    Laurent Guerby <guerby@acm.org>
    Laurynas Biveinis <laurynas.biveinis@mif.vu.lt>
    Loren J. Rittle <ljrittle@acm.org>
    Manfred Hollstein <mh@suse.com>
    Marc Espie <espie@cvs.openbsd.org>
    Marc Lehmann <pcg@goof.com>
    Marek Michalkiewicz <marekm@amelek.gda.pl>
    Mark Mitchell <mark@codesourcery.com>
    Mark Wielaard <mark@gcc.gnu.org>
    Martin v. Lwis <loewis@informatik.hu-berlin.de>
    Matt Austern <austern@apple.com>
    Matt Kraai <kraai@alumni.cmu.edu>
    Matt Thomas <matt@3am-software.com>
    Matthew Gingell <gingell@gnat.com>
    Matthew Hiller <hiller@redhat.com>
    Matthias Klose <doko@debian.org>
    Michael Hayes <m.hayes@elec.canterbury.ac.nz>
    Michael Matz <matz@suse.de>
    Michael Meissner <gnu@the-meissners.org>
    Michael Sokolov <msokolov@ivan.Harhan.ORG>
    Michael Tiemann <tiemann@redhat.com>
    Mike Stump <mrs@apple.com>
    Mohan Embar <gnustuff@thisiscool.com>
    Mumit Khan <khan@xraylith.wisc.edu>
    Nathan Sidwell <nathan@codesourcery.com>
    Nathanael Nerode <neroden@gcc.gnu.org>
    Neil Booth <neil@daikokuya.co.uk>
    Nick Clifton <nickc@redhat.com>
    Nicola Pero <n.pero@mi.flashnet.it>
    Nicolas Pitre <nico@cam.org>
    Olivier Hainque <hainque@act-europe.fr>
    Ovidiu Predescu <ovidiu@cup.hp.com>
    Paolo Carlini <pcarlini@unitus.it>
    Paul Brook <paul@nowt.org>
    Paul Koning <ni1d@arrl.net>
    Per Bothner <per@bothner.com>
    Phil Blundell <pb@futuretv.com>
    Phil Edwards <pme@gcc.gnu.org>
    Philipp Thomas <pthomas@suse.de>
    Philippe De Muyter <phdm@macqel.be>
    Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
    Ralph Loader <rcl@ihug.co.nz>
    Richard Earnshaw <rearnsha@arm.com>
    Richard Henderson <rth@redhat.com>
    Richard Sandiford <rsandifo@redhat.com>
    Richard Stallman <rms@gnu.org>
    Robert Bowdidge <bowdidge@apple.com>
    Robert Dewar <dewar@gnat.com>
    Roger Sayle <roger@eyesopen.com>
    Rolf Rasmussen <rolfwr@gcc.gnu.org>
     

%package c++
Requires:     libstdc++-devel
Summary:      The GNU C++ Compiler
Group:        Development/Languages/C and C++
Autoreqprov:  on
Requires:     gcc = %{version}-%{release}
%if %{gcc33_for_bp}
Provides:     c++_compiler
%else
Provides:     gpp c++_compiler
Obsoletes:    gpp
%endif

%description c++
This package contains the GNU compiler for C++.



%package -n libstdc++-devel
Summary:      Include Files and Libraries mandatory for Development
Group:        System/Libraries
Autoreqprov:  on
Requires:     libstdc++ = %{version}-%{release}
%if !%{gcc33_for_bp}
Provides:     libgpp
Obsoletes:    libgpp
%endif

%description -n libstdc++-devel
This package contains all the headers and libraries of the standard C++
library. It is needed for compiling C++ code.

The source code is in the package gcc.



%package -n libgcc
Summary:      C compiler runtime library
Group:        System/Base
Autoreqprov:  on
%if %{gcc33_for_bp}
Obsoletes:    libgcc
%endif

%description -n libgcc
Libgcc is needed for dynamically linked C programs.



%package -n libstdc++
Summary:      The standard C++ shared library
Group:        System/Libraries
Autoreqprov:  on
%if !%{gcc33_for_bp}
Provides:     gppshare
Obsoletes:    gppshare
%endif

%description -n libstdc++
The standard C++ library, needed for dynamically linked C++ programs.



Authors:
--------
    Paolo Carlini <pcarlini@unitus.it>
    Gabriel Dos Reis <gdr@integrable-solutions.net>
    Ulrich Drepper <drepper@redhat.com>
    Phil Edwards <pme@gcc.gnu.org>
    Benjamin Kosnik <bkoz@redhat.com>
    Loren J. Rittle <ljrittle@acm.org>
    et.al.

%package g77
Summary:      GNU Fortran Compiler
Group:        Development/Languages/Fortran
Requires:     gcc = %{version}-%{release}
Autoreqprov:  on
%if !%{gcc33_for_bp}
Provides:     g77
Obsoletes:    g77
%endif

%description g77
This version of the GNU Fortran compiler needs a GCC of the same
version. The C compiler binaries must be under
/usr/lib/gcc-lib/.../<version>.



Authors:
--------
    James Craig Burley <burley@gnu.ai.mit.edu>
    Toon Moene <toon@moene.indiv.nluug.nl>
    et.al.

%package info
Summary:      GNU Info-Pages for GCC
Group:        Development/Languages/C and C++
Autoreqprov:  on
PreReq:       %{install_info_prereq}
Provides:     gccinfo
Obsoletes:    gccinfo

%description info
GNU info-pages for GCC.



%package objc
Summary:      GNU Objective C Compiler
Group:        Development/Languages/Other
Requires:     gcc = %{version}-%{release} libobjc = %{version}-%{release}
Autoreqprov:  on
%if !%{gcc33_for_bp}
Provides:     gobjc
Obsoletes:    gobjc
%endif

%description objc
This package contains the GNU Objective C compiler. Objective C is an
object oriented language, created by Next Inc. and used in their
Nextstep OS. The source code is available in the gcc package.



%package -n libobjc
Summary:      The library for the GNU Objective C compiler
Group:        Development/Libraries/Other
Autoreqprov:  on

%description -n libobjc
The library for the GNU Objective C compiler.



%package -n cpp
Summary:      The GCC Preprocessor
Group:        Development/Languages/C and C++
%if !%{gcc33_for_bp}
Obsoletes:    minigcc
Provides:     minigcc c_preprocessor
%endif
Autoreqprov:  on

%description -n cpp
This Package contains just the preprocessor that is used by the XFree86
packages.



Authors:
--------
    Adam Megacz <adam@xwt.org>
    Adam Nemet <anemet@lnxw.com>
    Alan Lehotsky <apl@alum.mit.edu>
    Alan Modra <amodra@bigpond.net.au>
    Aldy Hernandez <aldyh@redhat.com>
    Alex Samuel <samuel@codesourcery.com>
    Alexandre Oliva <aoliva@redhat.com>
    Alexandre Petit-Bianco <apbianco@redhat.com>
    Andreas Jaeger <aj@suse.de>
    Andreas Schwab <schwab@suse.de>
    Andreas Tobler <andreast@gcc.gnu.org>
    Andrew Cagney <cagney@redhat.com>
    Andrew Haley <aph@redhat.com>
    Andrew Macleod <amacleod@redhat.com>
    Andrew Pinski <pinskia@physics.uc.edu>
    Ansgar Esztermann <ansgar@thphy.uni-duesseldorf.de>
    Anthony Green <green@redhat.com>
    Arnaud Charlet <charlet@act-europe.fr>
    Ben Elliston <bje@wasabisystems.com>
    Ben Elliston <config-patches@gnu.org>
    Benjamin Kosnik <bkoz@redhat.com>
    Bernardo Innocenti <bernie@develer.com>
    Bob Wilson <bob.wilson@acm.org>
    Brendan Kehoe <brendan@zen.org>
    Bruce Korb <bkorb@gnu.org>
    Bryce McKinlay <bryce@gcc.gnu.org>
    Carlo Wood <carlo@alinoe.com>
    Catherine Moore <clm@redhat.com>
    Chandra Chavva <cchavva@redhat.com>
    Chris Demetriou <cgd@broadcom.com>
    Christian Cornelssen <ccorn@cs.tu-berlin.de>
    Christian Ehrhardt <ehrhardt@mathematik.uni-ulm.de>
    Christopher Faylor <cgf@redhat.com>
    Clinton Popetz <cpopetz@cpopetz.com>
    Craig Rodrigues <rodrigc@gcc.gnu.org>
    DJ Delorie <dj@delorie.com>
    DJ Delorie <dj@redhat.com>
    Dale Johannesen <dalej@apple.com>
    Daniel Berlin <dan@dberlin.org>
    Danny Smith <dannysmith@users.sourceforge.net>
    Dara Hazeghi <dhazeghi@yahoo.com>
    Dave Anglin <dave.anglin@nrc.ca>
    Dave Brolley <brolley@redhat.com>
    Dave Love <d.love@dl.ac.uk>
    David Billinghurst <David.Billinghurst@riotinto.com>
    David Daney <ddaney@avtrex.com>
    David Edelsohn <dje@watson.ibm.com>
    David O'Brien <obrien@FreeBSD.org>
    David S. Miller <davem@redhat.com>
    Denis Chertykov <denisc@overta.ru>
    Devang Patel <dpatel@apple.com>
    Diego Novillo <dnovillo@redhat.com>
    Don Lindsay <dlindsay@redhat.com>
    Dorit Naishlos <dorit@il.ibm.com>
    Doug Evans <dje@transmeta.com>
    Douglas Rupp <rupp@gnat.com>
    Eric Blake <ericb@gcc.gnu.org>
    Eric Botcazou <ebotcazou@libertysurf.fr>
    Eric Christopher <echristo@redhat.com>
    Falk Hueffner <falk@debian.org>
    Fariborz Jahanian <fjahanian@apple.com>
    Fergus Henderson <fjh@cs.mu.oz.au>
    Florian Weimer <fw@deneb.enyo.de>
    Franz Sirl <franz.sirl-kernel@lauterbach.com>
    Gabriel Dos Reis <gdr@integrable-solutions.net>
    Gavin Romig-Koch <gavin@redhat.com>
    Geert Bosch <bosch@gnat.com>
    Geoff Keating <geoffk@geoffk.org>
    Geoffrey Keating <geoffk@geoffk.org>
    Gerald Pfeifer <gerald@pfeifer.com>
    Giovanni Bajo <giovannibajo@gcc.gnu.org>
    Graeme Peterson <gp@qnx.com>
    Graham Stott <graham.stott@btinternet.com>
    Greg McGary <gkm@gnu.org>
    HJ Lu <hjl@lucon.org>
    Hans Boehm <hboehm@gcc.gnu.org>
    Hans-Peter Nilsson <hp@axis.com>
    Hans-Peter Nilsson <hp@bitrange.com>
    Hartmut Penner <hpenner@de.ibm.com>
    Ian Dall <ian@beware.dropbear.id.au>
    Ian Taylor <ian@wasabisystems.com>
    Ira Ruben <ira@apple.com>
    Jakub Jelinek <jakub@redhat.com>
    James Dennett <jdennett@acm.org>
    James Lemke <jim@wasabisystems.com>
    Jan Hubicka <jh@suse.cz>
    Janis Johnson <janis187@us.ibm.com>
    Jason Eckhardt <jle@rice.edu>
    Jason Merrill <jason@redhat.com>
    Jason Thorpe <thorpej@wasabisystems.com>
    Jeff Knaggs <jknaggs@redhat.com>
    Jeff Law <law@redhat.com>
    Jeff Sturm <jsturm@gcc.gnu.org>
    Jeffrey D. Oldham <oldham@codesourcery.com>
    Jim Blandy <jimb@redhat.com>
    Jim Wilson <wilson@specifixinc.com>
    Joel Brobecker <brobecker@gnat.com>
    Joel Sherrill <joel@oarcorp.com>
    Joern Rennecke <joern.rennecke@superh.com>
    John Carr <jfc@mit.edu>
    John Wehle <john@feith.com>
    Jonathan Wakely <redi@gcc.gnu.org>
    Josef Zlomek <zlomekj@suse.cz>
    Joseph Myers <jsm@polyomino.org.uk>
    Kaveh Ghazi <ghazi@caip.rutgers.edu>
    Kaz Kojima <kkojima@gcc.gnu.org>
    Kazu Hirata <kazu@cs.umass.edu>
    Kean Johnston <jkj@sco.com>
    Kevin Buettner <kevinb@redhat.com>
    Klaus Kaempf <kkaempf@progis.de>
    Kresten Krab Thorup <krab@gcc.gnu.org>
    Kriang Lerdsuwanakij <lerdsuwa@users.sourceforge.net>
    Krister Walfridsson <cato@df.lth.se>
    Laurent Guerby <guerby@acm.org>
    Laurynas Biveinis <laurynas.biveinis@mif.vu.lt>
    Loren J. Rittle <ljrittle@acm.org>
    Manfred Hollstein <mh@suse.com>
    Marc Espie <espie@cvs.openbsd.org>
    Marc Lehmann <pcg@goof.com>
    Marek Michalkiewicz <marekm@amelek.gda.pl>
    Mark Mitchell <mark@codesourcery.com>
    Mark Wielaard <mark@gcc.gnu.org>
    Martin v. Lwis <loewis@informatik.hu-berlin.de>
    Matt Austern <austern@apple.com>
    Matt Kraai <kraai@alumni.cmu.edu>
    Matt Thomas <matt@3am-software.com>
    Matthew Gingell <gingell@gnat.com>
    Matthew Hiller <hiller@redhat.com>
    Matthias Klose <doko@debian.org>
    Michael Hayes <m.hayes@elec.canterbury.ac.nz>
    Michael Matz <matz@suse.de>
    Michael Meissner <gnu@the-meissners.org>
    Michael Sokolov <msokolov@ivan.Harhan.ORG>
    Michael Tiemann <tiemann@redhat.com>
    Mike Stump <mrs@apple.com>
    Mohan Embar <gnustuff@thisiscool.com>
    Mumit Khan <khan@xraylith.wisc.edu>
    Nathan Sidwell <nathan@codesourcery.com>
    Nathanael Nerode <neroden@gcc.gnu.org>
    Neil Booth <neil@daikokuya.co.uk>
    Nick Clifton <nickc@redhat.com>
    Nicola Pero <n.pero@mi.flashnet.it>
    Nicolas Pitre <nico@cam.org>
    Olivier Hainque <hainque@act-europe.fr>
    Ovidiu Predescu <ovidiu@cup.hp.com>
    Paolo Carlini <pcarlini@unitus.it>
    Paul Brook <paul@nowt.org>
    Paul Koning <ni1d@arrl.net>
    Per Bothner <per@bothner.com>
    Phil Blundell <pb@futuretv.com>
    Phil Edwards <pme@gcc.gnu.org>
    Philipp Thomas <pthomas@suse.de>
    Philippe De Muyter <phdm@macqel.be>
    Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
    Ralph Loader <rcl@ihug.co.nz>
    Richard Earnshaw <rearnsha@arm.com>
    Richard Henderson <rth@redhat.com>
    Richard Sandiford <rsandifo@redhat.com>
    Richard Stallman <rms@gnu.org>
    Robert Bowdidge <bowdidge@apple.com>
    Robert Dewar <dewar@gnat.com>
    Roger Sayle <roger@eyesopen.com>
    Rolf Rasmussen <rolfwr@gcc.gnu.org>
     

%package java
Requires:     gcc = %{version}-%{release} libgcj-devel = %{version}-%{release}
Summary:      The GNU Java Compiler
Group:        Development/Languages/Java
Autoreqprov:  on
%if !%{gcc33_for_bp}
Provides:     gjava
Obsoletes:    gjava
%endif

%description java
The Java compiler from the GCC-tools-suite.



%package -n libgcj
Summary:      Java Runtime Library for gcc
Group:        System/Libraries
Autoreqprov:  on

%description -n libgcj
This library is needed if you want to use the GNU Java compiler, gcj.
Source code for this package is in gcc.



%package -n libgcj-devel
Requires:     libgcj = %{version}-%{release}
Summary:      Include Files and Libraries mandatory for Development.
Group:        Development/Libraries/Java
Autoreqprov:  on

%description -n libgcj-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



%package -n boehm-gc
Summary:      Boehm Garbage Collector Library
Group:        Development/Libraries/Java
Autoreqprov:  on

%description -n boehm-gc
This is a stand-alone version of the Boehm garbage collector library
that is also used in the GCC Java library.



%package -n gnat
Requires:     gcc = %{version}-%{release}
%if %{build_gnat_shared}
Requires:     gnat-runtime
%endif
Summary:      GNU Ada95 Compiler based on gcc (GNAT)
Group:        Development/Languages/Other
Autoreqprov:  on

%description -n gnat
This package contains an Ada95 compiler and associated development
tools based on the GNU gcc technology. Ada95 is the object oriented
successor of the Ada83 language. To build this package from sources you
must have installed a binary version to bootstrap the compiler.



%package -n gnat-runtime
Summary:      GNU Ada runtime libraries
Group:        System/Libraries
Autoreqprov:  on
%if !%{gcc33_for_bp}
Provides:     gnat-3.13p-runtime
Obsoletes:    gnat-3.13p-runtime
%endif

%description -n gnat-runtime
This package contains the shared libraries required to run programs
compiled with the GNU Ada compiler (GNAT) if they are compiled to use
shared libraries. It also contains the shared libraries for the
Implementation of the Ada Semantic Interface Specification (ASIS), the
implementation of Distributed Systems Programming (GLADE) and the Posix
1003.5 Binding (Florist).



%ifarch sparc sparc64
%if %{biarch}
%define GCCDIST sparc64-suse-linux
%else
%define GCCDIST %{_target_cpu}-suse-linux
%endif
%else
%define GCCDIST %(echo %{_target_cpu}|sed -e "s/i.86/i586/" -e "s/ppc/powerpc/")-suse-linux
%endif
%define gcclibdir %{_libdir}/gcc-lib/
%define libsubdir %{_libdir}/gcc-lib/%{GCCDIST}/%{gcc_version}
%ifarch ppc ppc64
%define nofpath %{_prefix}/lib/nof
%endif
%prep
#%setup -q -n gcc-%{gcc_version}-hammer-%{snapshot_date}
%setup -q -n gcc-%{gcc_version}
%patch0
%patch1
cd gcc
%patch2
cd ..
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch11
%patch16
%patch17
%patch19
%patch21
%patch22
%patch32
%patch33
%patch34
%patch37
%patch42
%patch47
%patch48
%patch49
%patch50
%patch51
%patch52
%patch53
%patch54
#%ifarch ppc ppc64
%patch61 -p1
#%patch63 -p1
#%endif
%patch64 -p1
%patch65 -p1
cd gcc
%patch66
cd ..
%patch67
%patch68
%patch69

%build
# Update version number
# not changed in ada (gcc/ada/gnatvsn.ads) since otherwise the line
# will be too long
perl -pi -e 's/\((prerelease|experimental|release)\)/\(\1\) \(SUSE Linux\)/' \
    gcc/version.c \
    libf2c/libF77/Version.c libf2c/libI77/Version.c libf2c/libU77/Version.c
# Remove -hammer
perl -pi -e 's/-hammer//' gcc/version.c
#perl -pi -e 's/3\.3\.4/3.3.3/' gcc/version.c
# Handle gcc/version.c once again since a release might not have the
# release word in it:
perl -pi -e 's/(version_string.*\"[0-9.]+)\"/\1 \(SuSE Linux\)\"/' \
    gcc/version.c
# Avoid rebuilding of generated files
(cd gcc/ada; touch treeprs.ads einfo.h sinfo.h nmake.adb nmake.ads)
contrib/gcc_update --touch
rm -rf obj-%{GCCDIST}
mkdir obj-%{GCCDIST}
cd obj-%{GCCDIST}
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g' -e 's/-fno-exceptions//g'`
%ifarch sparc sparc64
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-m64//g' -e 's/-m32//g' -e 's/-mcpu=ultrasparc/-mtune=ultrasparc/g'`
%endif
%ifarch s390 s390x
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-fsigned-char//g'`
%endif
languages=c,c++,f77,objc
%if %{build_java}
languages=$languages,java
%endif
%if %{build_gnat}
languages=$languages,ada
%endif
%ifarch mips
export STAGE1_CFLAGS="$RPM_OPT_FLAGS"
%endif
%ifarch s390 s390x ppc ppc64 x86_64
if test -f /proc/cpuinfo; then
    # do a parallel build. compute a useful number of parallel
    # processes wrt to #of processors and free ram available.
    # gcc needs approx 30MB (gcc 3.1)
    let GCCMEM="30*1024*1024"
    # check "free" for memory available --- take 60MB less than
    # we actually have, for buffering and other processes
    set -- `free -b | head -n2 | tail -n1`
    # 1GB of memory is enough and bash cannot use nums >2^31 (signed int)
    # 1GB creates a PARALLEL_BY_RAM of 32
    if [ ${#2} -gt 9 ] ; then
	PARALLEL_BY_RAM=32
    else
	let MEM="$2-60*1024*1024"
	# do not fail on lowmem, like 15142912/31457280
	let PARALLEL_BY_RAM="$MEM/$GCCMEM+1"
    fi
    PARALLEL_BY_CPU=`getconf _NPROCESSORS_CONF`
    test "$PARALLEL_BY_CPU" -lt 1 && PARALLEL_BY_CPU=1
    test "$PARALLEL_BY_RAM" -lt 1 && PARALLEL_BY_RAM=1
    # Use a maximum of 5 CPUs
    if [ $PARALLEL_BY_CPU -gt 5 ]; then PARALLEL_BY_CPU=5; fi
    PARALLEL=-j$(($PARALLEL_BY_RAM < $PARALLEL_BY_CPU ?
                  $PARALLEL_BY_RAM : $PARALLEL_BY_CPU))
    # We do not want to have a load higher than twice the total number of CPUs.
    let MAX_LOAD="$PARALLEL_BY_CPU*2"
    PARALLEL="$PARALLEL -l $MAX_LOAD"
else
    PARALLEL=%{?jobs:"-j%{jobs}"}
fi 
%else
    PARALLEL=%{?jobs:"-j%{jobs}"}
%endif
# TEMPORARY until release, you can disable it for faster builds:
#%ifarch s390 s390x
#ENABLE_CHECKING=--disable-checking
#%else
#ENABLE_CHECKING=--enable-checking
#%endif
ENABLE_CHECKING=--disable-checking
# Work around tail/head -1 changes
export _POSIX2_VERSION=199209
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" XCFLAGS="$RPM_OPT_FLAGS" \
TCFLAGS="$RPM_OPT_FLAGS" \
../configure --enable-threads=posix \
	--prefix=%{_prefix} --with-local-prefix=/usr/local \
	--infodir=%{_infodir} --mandir=%{_mandir} \
	--enable-languages=$languages $ENABLE_CHECKING \
	--libdir=%{_libdir} \
%if !%{build_java}
        --disable-libgcj \
%else
        --enable-libgcj \
%endif
	--with-gxx-include-dir=%{_prefix}/include/g++ \
	--with-slibdir=/%{_lib} --with-system-zlib \
	--enable-shared --enable-__cxa_atexit \
%ifarch sparc
%if %{biarch}
	--with-cpu=v8 %{GCCDIST}
%else
	--host=%{GCCDIST} --build=%{GCCDIST} --target=%{GCCDIST} --with-cpu=v7
%endif
%else
%ifarch ppc
	--host=%{GCCDIST} --build=%{GCCDIST} --target=%{GCCDIST} \
	--enable-targets=powerpc64-suse-linux --enable-biarch
%else
%ifarch ppc64
	--enable-biarch \
%endif
	%{GCCDIST}
%endif
%endif
%ifarch x86_64 i386
# Only run profiled bootstrap on a few arches for now
make profiledbootstrap BOOT_CFLAGS="$RPM_OPT_FLAGS" STAGE1_CFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" $PARALLEL
%else
make bootstrap-lean BOOT_CFLAGS="$RPM_OPT_FLAGS" STAGE1_CFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" $PARALLEL
%endif
%if %{build_gnat}
%if %{build_gnat_shared}
make -C gcc gnatlib-shared $PARALLEL
%else
make -C gcc gnatlib $PARALLEL
%endif
make -C gcc gnattools $PARALLEL
%endif
make -C gcc proto
make info
%if %{run_tests}
echo "Run testsuite"
make -k check $PARALLEL || true
(cd %{GCCDIST}/libstdc++-v3;make -C testsuite check-abi || true)
%endif
make -C gcc f77.rebuilt
%if %suse_version > 900
# Only run for 9.1 and newer, older doxygen is broken
(cd %{GCCDIST}/libstdc++-v3;make doxygen || true)
%endif

%install
# get Check to pick up man/info pages under /opt
%if %{gcc33_for_bp}
manpath=%{_mandir}:%{_infodir}
export manpath
%endif
cd obj-%{GCCDIST}
# Work around tail/head -1 changes
export _POSIX2_VERSION=199209
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
rm -f $RPM_BUILD_ROOT/%{_lib}/libgcc_s.so
ln -sf /%{_lib}/libgcc_s.so.1 $RPM_BUILD_ROOT%{_libdir}/libgcc_s.so
chmod a+x $RPM_BUILD_ROOT/%{_lib}/libgcc_s.so.1
%if %{biarch}
%if %{build_primary_64bit}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib
ln -sf /lib/libgcc_s.so.1 $RPM_BUILD_ROOT%{_prefix}/lib/libgcc_s.so
ln -sf /lib/libgcc_s.so.1 $RPM_BUILD_ROOT%{_prefix}/lib/libgcc_s_32.so
%ifarch ppc64
ln -sf /lib64/libgcc_s.so.1 $RPM_BUILD_ROOT%{_prefix}/lib64/libgcc_s_64.so
%endif
chmod a+x $RPM_BUILD_ROOT/lib/libgcc_s.so.1
%else
# 32-bit biarch systems
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib64
ln -sf /lib64/libgcc_s.so.1 $RPM_BUILD_ROOT%{_prefix}/lib64/libgcc_s.so
ln -sf /lib64/libgcc_s.so.1 $RPM_BUILD_ROOT%{_prefix}/lib64/libgcc_s_64.so
chmod a+x $RPM_BUILD_ROOT/lib64/libgcc_s.so.1
%endif
%endif
%if %{build_nof}
rm -f $RPM_BUILD_ROOT/lib/libgcc_s_nof.so
ln -sf /lib/libgcc_s_nof.so.1 $RPM_BUILD_ROOT/%{_libdir}/libgcc_s_nof.so
%endif
%if %{build_gnat_shared}
mv $RPM_BUILD_ROOT%{libsubdir}/adalib/lib*-*.so $RPM_BUILD_ROOT%{_libdir}
ln -sf %{_libdir}/libgnarl-3.15.so $RPM_BUILD_ROOT%{libsubdir}/adalib/libgnarl.so
ln -sf %{_libdir}/libgnat-3.15.so $RPM_BUILD_ROOT%{libsubdir}/adalib/libgnat.so
chmod a+x $RPM_BUILD_ROOT%{_libdir}/libgna*-*.so
%endif
ln -sf gcc $RPM_BUILD_ROOT%{_prefix}/bin/cc
ln -sf g++  $RPM_BUILD_ROOT%{_prefix}/bin/c++
ln -sf g77  $RPM_BUILD_ROOT%{_prefix}/bin/f77
mkdir -p $RPM_BUILD_ROOT/lib
%if !%{gcc33_for_bp}
cat <<\EOF > $RPM_BUILD_ROOT/lib/cpp
#!/bin/sh
# Traditionally, /lib/cpp only knew about C
exec %{_prefix}/bin/cpp -xc "$@"
EOF
chmod 755 $RPM_BUILD_ROOT/lib/cpp
%endif
%if %{biarch}
%if %{build_primary_64bit}
# move around some libs that end in wrong paths
pushd .
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib
(cd $RPM_BUILD_ROOT%{_libdir}/32; tar cf - *) | (cd $RPM_BUILD_ROOT%{_prefix}/lib ; tar xf -)
rm -rf $RPM_BUILD_ROOT%{_libdir}/32
ln -s %{_prefix}/lib $RPM_BUILD_ROOT%{_libdir}/32
rm -rf $RPM_BUILD_ROOT/%{_lib}/32
ln -s /lib $RPM_BUILD_ROOT/%{_lib}/32
popd
%else
# 32-bit biarch systems
# move around some libs that end in wrong paths
pushd .
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib64
cd $RPM_BUILD_ROOT%{_libdir}/64
for f in *; do
  mv $RPM_BUILD_ROOT%{_libdir}/64/$f $RPM_BUILD_ROOT%{_prefix}/lib64
done
rm -rf $RPM_BUILD_ROOT%{_libdir}/64
ln -s %{_prefix}/lib $RPM_BUILD_ROOT%{_libdir}/64
popd
%endif
%endif
# Remove some crap from the .la files:
for l in $RPM_BUILD_ROOT%{_libdir}/*.la \
%if %{biarch}
%if %{build_primary_64bit}
    $RPM_BUILD_ROOT%{_prefix}/lib/*.la \
%else
    $RPM_BUILD_ROOT%{_prefix}/lib64/*.la \
%endif
%endif
    ; do
  sed -e '/^dependency_libs/s| -L/usr/src/packages/BUILD/[^ ]*||g' \
      -e '/^dependency_libs/s| -L/usr/%{GCCDIST}/bin||g' \
      -e '/^dependency_libs/s|-lm \(-lm \)*|-lm |' \
      -e '/^dependency_libs/s|-L[^ ]* ||g' \
%if %{biarch}
%if %{build_primary_64bit}
      -e '/^libdir/s|%{_libdir}/32|%{_prefix}/lib|' \
      -e '/^libdir/s|lib64/\.\./||' \
%else
      -e '/^libdir/s|%{_libdir}/64|%{_prefix}/lib64|' \
%endif
%else
      -e '/^libdir/s|/usr/lib/\.|/usr/lib|' \
%endif
      < $l  > $l.new
  mv $l.new $l
done
%if %{gcc33_for_bp}
%ifarch x86_64
perl  -pi -e "s|^(.*elf_i386.*)|\1 %{m32:-rpath=/opt/gcc33/lib} %{\!m32:-rpath=/opt/gcc33/lib64}|;"  $RPM_BUILD_ROOT%{_prefix}/lib64/gcc-lib/x86_64-suse-linux/%{gcc_version}/specs
%endif
%ifarch s390 s390x
perl  -pi -e "s|^(.*eh-frame-hdr.*)|\1 %{m31:-rpath=/opt/gcc33/lib} %{\!m31:-rpath=/opt/gcc33/lib64}|;"  $RPM_BUILD_ROOT%{_prefix}/lib*/gcc-lib/s390*-suse-linux/%{gcc_version}/specs
%endif
%endif
%if %{run_tests} 
mkdir ../testresults
cp `find . -name "*.sum"` ../testresults/
cp `find . -name "*.log"  \! -name "config.log" ` ../testresults/
%endif
# Remove files that we do not need to clean up filelist
rm -f $RPM_BUILD_ROOT/%{_prefix}/bin/%{GCCDIST}-*
rm -rf $RPM_BUILD_ROOT/%{libsubdir}/install-tools
rm -rf $RPM_BUILD_ROOT/%{libsubdir}/include/root/
rm -f $RPM_BUILD_ROOT/%{libsubdir}/include/curses.h
rm -rf $RPM_BUILD_ROOT/%{libsubdir}/include/linux/
rm -f $RPM_BUILD_ROOT/%{libsubdir}/include/ncurses.h
rm -f $RPM_BUILD_ROOT/%{libsubdir}/include/stdio.h
rm -f $RPM_BUILD_ROOT/%{libsubdir}/include/zutil.h
rm -f $RPM_BUILD_ROOT/%{libsubdir}/include/X11
rm -rf $RPM_BUILD_ROOT/%{libsubdir}/include/bits
rm -f $RPM_BUILD_ROOT/%{libsubdir}/include/spe.h
rm -rf $RPM_BUILD_ROOT/%{libsubdir}/include/bits/
%if %{build_gnat}
rm $RPM_BUILD_ROOT/%{_infodir}/gnat_ug_vms.info*
rm $RPM_BUILD_ROOT/%{_infodir}/gnat_ug_vxw.info*
rm $RPM_BUILD_ROOT/%{_infodir}/gnat_ug_wnt.info*
%endif
%if %{build_java}
rm -f $RPM_BUILD_ROOT/%{_prefix}/include/ffi*
rm -f $RPM_BUILD_ROOT/%{_libdir}/libffi*
%if %{build_nof}
rm -f $RPM_BUILD_ROOT/%{nofpath}/libffi*
%endif
%if %{biarch}
%if %{build_primary_64bit}
rm -f $RPM_BUILD_ROOT/%{_prefix}/lib/libffi*
%else
rm -f $RPM_BUILD_ROOT/%{_prefix}/lib64/libffi*
%endif
%endif
rm $RPM_BUILD_ROOT/%{_mandir}/man1/jar.1
rm $RPM_BUILD_ROOT/%{_mandir}/man1/jv-convert.1
rm $RPM_BUILD_ROOT/%{_mandir}/man1/rmic.1
rm $RPM_BUILD_ROOT/%{_mandir}/man1/rmiregistry.1
%endif
rm $RPM_BUILD_ROOT/%{_mandir}/man7/fsf-funding.7
rm $RPM_BUILD_ROOT/%{_mandir}/man7/gfdl.7
rm $RPM_BUILD_ROOT/%{_mandir}/man7/gpl.7
rm $RPM_BUILD_ROOT/%{_prefix}/lib*/libiberty.a
%if %{build_nof}
rm -f $RPM_BUILD_ROOT/%{nofpath}/libiberty.a
%ifarch ppc64
rm -f  $RPM_BUILD_ROOT/%{nofpath}/32/libiberty.a
rm -f  $RPM_BUILD_ROOT/%{_prefix}/lib/32/nof/libiberty.a
rmdir $RPM_BUILD_ROOT/%{_prefix}/lib/32/nof
%endif
%endif
%if %{biarch}
%if %{build_primary_64bit}
rm -f $RPM_BUILD_ROOT/%{_prefix}/lib/32/libiberty.a
%else
rm -f $RPM_BUILD_ROOT/%{_prefix}/lib/32/libiberty.a
%endif
%endif
%if %{build_java}
strip -g $RPM_BUILD_ROOT/%{_libdir}/libgcj.a
%if %{build_nof}
strip -g $RPM_BUILD_ROOT%{nofpath}/libgcj.a
%endif
%if %{biarch}
%if %{build_primary_64bit}
strip -g $RPM_BUILD_ROOT/%{_prefix}/lib/libgcj.a
%else
%ifnarch sparc ppc
strip -g $RPM_BUILD_ROOT%{_prefix}/lib64/libgcj.a
%endif
%ifarch sparc ppc
# 32bit sparc should not include any 64bit binaries
rm -rf $RPM_BUILD_ROOT%{_prefix}/lib64 $RPM_BUILD_ROOT/lib64
%endif
%endif
%endif
%endif

%post info
%if !%{gcc33_for_bp}
%install_info --info-dir=%{_infodir} %{_infodir}/cpp.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/cppinternals.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/gcc.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/gccint.info.gz
%endif

%postun info
%if !%{gcc33_for_bp}
%install_info_delete --info-dir=%{_infodir} %{_infodir}/cpp.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/cppinternals.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gcc.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gccint.info.gz
%endif

%post g77
%if !%{gcc33_for_bp}
%install_info --info-dir=%{_infodir} %{_infodir}/g77.info.gz
%endif

%postun g77
%if !%{gcc33_for_bp}
%install_info_delete --info-dir=%{_infodir} %{_infodir}/g77.info.gz
%endif

%post java
%if !%{gcc33_for_bp}
%install_info --info-dir=%{_infodir} %{_infodir}/gcj.info.gz
%endif

%postun java
%if !%{gcc33_for_bp}
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gcj.info.gz
%endif

%post -n libgcj
%if !%{gcc33_for_bp}
%install_info --info-dir=%{_infodir} %{_infodir}/fastjar.info.gz
%endif

%postun -n libgcj
%if !%{gcc33_for_bp}
%install_info_delete --info-dir=%{_infodir} %{_infodir}/fastjar.info.gz
%endif
%if %{build_gnat}

%post -n gnat
%if !%{gcc33_for_bp}
%install_info --info-dir=%{_infodir} %{_infodir}/gnat-style.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/gnat_rm.info.gz
%install_info --info-dir=%{_infodir} --section="GNU Ada tools" --entry="* GNAT User's Guide: (gnat_ug_unx). GNAT User's Guide for Unix Platforms" %{_infodir}/gnat_ug_unx.info.gz
%endif
%endif
%if %{build_gnat}

%postun -n gnat
%if !%{gcc33_for_bp}
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gnat-style.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gnat_rm.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gnat_ug_unx.info.gz
%endif
%endif

%files
%defattr(-,root,root)
%if %{gcc33_for_bp}
%dir %{_prefix}
%dir %{_prefix}/bin
%dir %{_libdir}
%if %{biarch}
%if %{build_primary_64bit}
%dir %{_prefix}/lib
%endif
%endif
%dir %{_mandir}
%dir %{_mandir}/man1
%dir %{_prefix}/include
%endif
%dir %{gcclibdir}
%dir %{gcclibdir}/%{GCCDIST}
%dir %{libsubdir}
%dir %{libsubdir}/include
%if %{biarch}
%if %{build_primary_64bit}
# This link is essential for correct execution
%{_libdir}/32
/%{_lib}/32
%endif
%endif
%{_prefix}/bin/cc
%{_prefix}/bin/gcc
%{_prefix}/bin/gccbug
%{_prefix}/bin/gcov
%{_prefix}/bin/protoize
%{_prefix}/bin/unprotoize
%{libsubdir}/collect2
%{libsubdir}/*crt*.o
%{libsubdir}/SYSCALLS.c.X
%{libsubdir}/include/README
%{libsubdir}/include/float.h
%{libsubdir}/include/iso646.h
%{libsubdir}/include/limits.h
%{libsubdir}/include/stdarg.h
%{libsubdir}/include/stdbool.h
%{libsubdir}/include/stddef.h
%{libsubdir}/include/syslimits.h
%{libsubdir}/include/unwind.h
%{libsubdir}/include/varargs.h
%ifarch ppc ppc64
%{libsubdir}/include/altivec.h
%{libsubdir}/include/ppc-asm.h
%endif
%ifarch ia64
%{libsubdir}/include/ia64intrin.h
%endif
%ifarch %ix86 x86_64
%{libsubdir}/include/emmintrin.h
%{libsubdir}/include/mmintrin.h
%{libsubdir}/include/xmmintrin.h
%{libsubdir}/include/pmmintrin.h
%endif
%{libsubdir}/libgcc.a
%{libsubdir}/libgcc_eh.a
%if %{biarch}
%if %{build_primary_64bit}
%{libsubdir}/32
%else
%{libsubdir}/64
%endif
%endif
%{_libdir}/libgcc_s.so
%if %{build_nof}
%ifarch ppc
%{libsubdir}/nof
%endif
#%ifarch ppc64
#%{libsubdir}/32/nof
#%endif
%ifarch ppc
%{_prefix}/lib/libgcc_s_nof.so
%endif
%endif
%if %{biarch}
%if %{build_primary_64bit}
%{_prefix}/lib/libgcc_s.so
%{_prefix}/lib/libgcc_s_32.so
%ifarch ppc64
%{_libdir}/libgcc_s_64.so
%endif
%else
%ifnarch sparc ppc
# 32-bit biarch systems
%{_prefix}/lib64/libgcc_s.so
%{_prefix}/lib64/libgcc_s_64.so
%endif
%endif
%endif
%doc %{_mandir}/man1/gcc.1.gz
%doc %{_mandir}/man1/gcov.1.gz
%if %{run_tests}
%doc testresults/*.log
%doc testresults/*.sum
%endif
%if %{gcc33_for_bp}
%dir %{_prefix}/share
%dir %{_prefix}/share/locale
%dir %{_prefix}/share/locale/*
%dir %{_prefix}/share/locale/*/LC_MESSAGES
%dir %{_infodir}
%{_prefix}/share/locale/*/LC_MESSAGES/gcc.mo
%endif
%if !%{gcc33_for_bp}

%files locale
%defattr(-,root,root)
%{_prefix}/share/locale/*/LC_MESSAGES/gcc.mo
%endif

%files c++
%defattr(-,root,root)
%dir %{gcclibdir}
%dir %{gcclibdir}/%{GCCDIST}
%dir %{libsubdir}
%{_prefix}/bin/c++
%{_prefix}/bin/g++
%doc %{_mandir}/man1/g++.1.gz
%{libsubdir}/cc1plus

%files -n libstdc++-devel
%defattr(-,root,root)
%{_prefix}/include/g++
%{_libdir}/libstdc++.a
%{_libdir}/libstdc++.la
%{_libdir}/libstdc++.so
%{_libdir}/libsupc++.a
%{_libdir}/libsupc++.la
%if %{build_nof}
%{nofpath}/libstdc++.a
%{nofpath}/libstdc++.la
%{nofpath}/libstdc++.so
%{nofpath}/libsupc++.a
%{nofpath}/libsupc++.la
%endif
%if %{biarch}
%if %{build_primary_64bit}
%{_prefix}/lib/libstdc++.a
%{_prefix}/lib/libstdc++.la
%{_prefix}/lib/libstdc++.so
%{_prefix}/lib/libsupc++.a
%{_prefix}/lib/libsupc++.la
%else
%ifnarch sparc ppc
%{_prefix}/lib64/libstdc++.a
%{_prefix}/lib64/libstdc++.la
%{_prefix}/lib64/libstdc++.so
%{_prefix}/lib64/libsupc++.a
%{_prefix}/lib64/libsupc++.la
%endif
%endif
%endif
%doc libstdc++-v3/docs/html
%if %suse_version > 900
%doc obj-%{GCCDIST}/%{GCCDIST}/libstdc++-v3/docs/doxygen/html_user/
%endif

%files -n libgcc
%defattr(-,root,root)
/%{_lib}/libgcc_s.so.1
%if %{build_nof}
/lib/libgcc_s_nof.so.1
%endif
%if %{biarch}
%if %{build_primary_64bit}
/lib/libgcc_s.so.1
%else
%ifnarch sparc ppc
/lib64/libgcc_s.so.1
%endif
%endif
%endif

%files -n libstdc++
%defattr(-,root,root)
%{_libdir}/libstdc++.so.*
%if %{build_nof}
%{nofpath}/libstdc++.so.*
%endif
%if %{biarch}
%if %{build_primary_64bit}
%{_prefix}/lib/libstdc++.so.*
%else
%ifnarch sparc ppc
%{_prefix}/lib64/libstdc++.so.*
%endif
%endif
%endif
%{_prefix}/share/locale/*/LC_MESSAGES/libstdc++.mo

%files g77
%defattr(-,root,root)
%dir %{gcclibdir}
%dir %{gcclibdir}/%{GCCDIST}
%dir %{libsubdir}
%dir %{libsubdir}/include
%{_prefix}/bin/g77
%{_prefix}/bin/f77
%{libsubdir}/f771
%{libsubdir}/include/g2c.h
%{_libdir}/libfrtbegin.a
%{_libdir}/libg2c.a
%{_libdir}/libg2c.la
%{_libdir}/libg2c.so
%{_libdir}/libg2c.so.*
%if %{build_nof}
%{nofpath}/libfrtbegin.a
%{nofpath}/libg2c.a
%{nofpath}/libg2c.la
%{nofpath}/libg2c.so
%{nofpath}/libg2c.so.*
%endif
%if %{biarch}
%if %{build_primary_64bit}
%{_prefix}/lib/libfrtbegin.a
%{_prefix}/lib/libg2c.a
%{_prefix}/lib/libg2c.la
%{_prefix}/lib/libg2c.so
%{_prefix}/lib/libg2c.so.*
%else
%ifnarch sparc ppc
%{_prefix}/lib64/libfrtbegin.a
%{_prefix}/lib64/libg2c.a
%{_prefix}/lib64/libg2c.la
%{_prefix}/lib64/libg2c.so
%{_prefix}/lib64/libg2c.so.*
%endif
%endif
%endif
%doc %{_infodir}/g77.info*.gz
%doc %{_mandir}/man1/g77.1.gz

%files info
%defattr(-,root,root)
%doc %{_infodir}/cpp.info*.gz
%doc %{_infodir}/cppinternals.info*.gz
%doc %{_infodir}/gcc.info*.gz
%doc %{_infodir}/gccint.info*.gz

%files -n cpp
%defattr(-,root,root)
%dir %{gcclibdir}
%dir %{gcclibdir}/%{GCCDIST}
%dir %{libsubdir}
%if !%{gcc33_for_bp}
/lib/cpp
%endif
%{_prefix}/bin/cpp
%{libsubdir}/cc1
%{libsubdir}/specs
%doc %{_mandir}/man1/cpp.1.gz

%files objc
%defattr(-,root,root)
%dir %{gcclibdir}
%dir %{gcclibdir}/%{GCCDIST}
%dir %{libsubdir}
%dir %{libsubdir}/include
%{libsubdir}/cc1obj
%{libsubdir}/include/objc
%{_libdir}/libobjc.a
%{_libdir}/libobjc.la
%{_libdir}/libobjc.so
%if %{build_nof}
%{nofpath}/libobjc.a
%{nofpath}/libobjc.la
%{nofpath}/libobjc.so
%endif
%if %{biarch}
%if %{build_primary_64bit}
%{_prefix}/lib/libobjc.a
%{_prefix}/lib/libobjc.la
%{_prefix}/lib/libobjc.so
%else
%ifnarch sparc ppc
%{_prefix}/lib64/libobjc.a
%{_prefix}/lib64/libobjc.la
%{_prefix}/lib64/libobjc.so
%endif
%endif
%endif

%files -n libobjc
%defattr(-,root,root)
%{_libdir}/libobjc.so.*
%if %{build_nof}
%{nofpath}/libobjc.so.*
%endif
%if %{biarch}
%if %{build_primary_64bit}
%{_prefix}/lib/libobjc.so.*
%else
%ifnarch sparc ppc
%{_prefix}/lib64/libobjc.so.*
%endif
%endif
%endif
%if %{build_java}

%files java
%defattr(-,root,root)
%dir %{gcclibdir}
%dir %{gcclibdir}/%{GCCDIST}
%dir %{libsubdir}
%{_prefix}/bin/gcj
%{_prefix}/bin/gcjh
%{_prefix}/bin/jcf-dump
%{_prefix}/bin/jv-scan
%dir %{_libdir}/security
%{_libdir}/security/classpath.security
%{_libdir}/security/libgcj.security
%{libsubdir}/jc1
%{libsubdir}/jvgenmain
%doc %{_infodir}/gcj.info*.gz
%doc %{_mandir}/man1/gcj.1.gz
%doc %{_mandir}/man1/gcjh.1.gz
%doc %{_mandir}/man1/jcf-dump.1.gz
%doc %{_mandir}/man1/jv-scan.1.gz

%files -n libgcj
%defattr(-,root,root)
%if %{gcc33_for_bp}
%dir %{_prefix}/share/java
%endif
%{_prefix}/bin/gij
%{_prefix}/bin/grepjar
%{_prefix}/bin/jv-convert
%{_prefix}/bin/jar
%{_prefix}/bin/rmic
%{_prefix}/bin/rmiregistry
%{_prefix}/share/java/libgcj-%{gcc_version}.jar
%{_libdir}/libgcj.so.*
%{_libdir}/lib-org*.so.*
%if %{build_nof}
%dir %{nofpath}
%{nofpath}/libgcj.so.*
%{nofpath}/lib-org*.so.*
%endif
%if %{biarch}
%if %{build_primary_64bit}
%{_prefix}/lib/libgcj.so.*
%{_prefix}/lib/lib-org*.so.*
%else
%ifnarch sparc ppc
%{_prefix}/lib64/libgcj.so.*
%{_prefix}/lib64/lib-org*.so.*
%endif
%endif
%endif
%doc %{_infodir}/fastjar.info*.gz
%doc %{_mandir}/man1/gij.1.gz
%doc %{_mandir}/man1/grepjar.1.gz
# These files conflict with the normal Java packages
#%doc %{_mandir}/man1/jar.1.gz
#%doc %{_mandir}/man1/jv-convert.1.gz
#%doc %{_mandir}/man1/rmic.1.gz
#%doc %{_mandir}/man1/rmiregistry.1.gz

%files -n libgcj-devel
%defattr(-,root,root)
%dir %{gcclibdir}
%dir %{gcclibdir}/%{GCCDIST}
%dir %{libsubdir}
%dir %{libsubdir}/include
%{_prefix}/bin/addr2name.awk
%{_prefix}/include/j*.h
%{_prefix}/include/gcj
%{_prefix}/include/gnu
%{_prefix}/include/java
%{_prefix}/include/javax
%{_libdir}/libgcj.a
%{_libdir}/libgcj.la
%{_libdir}/libgcj.so
%{_libdir}/libgcj.spec
%{_libdir}/lib-org*.a
%{_libdir}/lib-org*.la
%{_libdir}/lib-org*.so
%if %{build_nof}
%{nofpath}/libgcj.a
%{nofpath}/libgcj.la
%{nofpath}/libgcj.so
%{nofpath}/lib-org*.a
%{nofpath}/lib-org*.la
%{nofpath}/lib-org*.so
%endif
%if %{biarch}
%if %{build_primary_64bit}
%{_prefix}/lib/libgcj.a
%{_prefix}/lib/libgcj.la
%{_prefix}/lib/libgcj.so
%{_prefix}/lib/lib-org*.a
%{_prefix}/lib/lib-org*.la
%{_prefix}/lib/lib-org*.so
%else
%ifnarch sparc ppc
%{_prefix}/lib64/libgcj.a
%{_prefix}/lib64/libgcj.la
%{_prefix}/lib64/libgcj.so
%{_prefix}/lib64/lib-org*.a
%{_prefix}/lib64/lib-org*.la
%{_prefix}/lib64/lib-org*.so
%endif
%endif
%endif
%{libsubdir}/include/gcj

%files -n boehm-gc
%defattr(-,root,root)
%{_prefix}/include/gc.h
%{_prefix}/include/gc_*.h
%{_libdir}/libgc.a
%{_libdir}/libgc.la
%{_libdir}/libgc.so*
%if %{build_nof}
%{nofpath}/libgc.a
%{nofpath}/libgc.la
%{nofpath}/libgc.so*
%endif
%if %{biarch}
%if %{build_primary_64bit}
%{_prefix}/lib/libgc.a
%{_prefix}/lib/libgc.la
%{_prefix}/lib/libgc.so*
%else
%ifnarch sparc ppc
%{_prefix}/lib64/libgc.a
%{_prefix}/lib64/libgc.la
%{_prefix}/lib64/libgc.so*
%endif
%endif
%endif
%endif
%if %{build_gnat}

%files -n gnat
%defattr(-,root,root)
%dir %{gcclibdir}
%dir %{gcclibdir}/%{GCCDIST}
%dir %{libsubdir}
%{_prefix}/bin/gnat*
%{libsubdir}/adainclude
%dir %{libsubdir}/adalib
%{libsubdir}/adalib/Makefile.adalib
%{libsubdir}/adalib/*.ali
%{libsubdir}/adalib/*.a
%if %{build_gnat_shared}
%{libsubdir}/adalib/libgnarl.so
%{libsubdir}/adalib/libgnat.so
%endif
%{libsubdir}/gnat1
%doc %{_infodir}/gnat-style.info*gz
%doc %{_infodir}/gnat_rm.info*gz
%doc %{_infodir}/gnat_ug_unx.info*gz
%if %{build_gnat_shared}

%files -n gnat-runtime
%defattr(-,root,root)
%{_libdir}/libgnarl-*.so
%{_libdir}/libgnat-*.so
%if %{build_nof}
%ifarch ppc
%{_libdir}/nof/libgnarl-*.so
%{_libdir}/nof/libgnat-*.so
%endif
%endif
%if %{biarch}
%if %{build_primary_64bit}
%{_prefix}/lib/libgnarl-*.so
%{_prefix}/lib/libgnat-*.so
%else
%ifnarch sparc ppc
%{_prefix}/lib64/libgnarl-*.so
%{_prefix}/lib64/libgnat-*.so
%endif
%endif
%endif
%endif
%endif

%changelog -n gcc
* Mon Feb 21 2005 - matz@suse.de
- Fix alignment attribute on typedefs.  [#50782]
* Mon Feb 14 2005 - matz@suse.de
- Fix seg-fault. [#50394]
* Fri Oct 29 2004 - schwab@suse.de
- Fix invalid unwind info [#47792].
* Mon Sep 06 2004 - matz@suse.de
- ppc64: Disparage f->f moves.  ICE more unlikely now.  [#44478]
* Mon Sep 06 2004 - matz@suse.de
- Add altivec-to-head.diff.gz [#41410]
  Backport of altivec.h and C++ support for altivec from mainline.
* Tue Jun 29 2004 - matz@suse.de
- Limit the exported symbol list again as per discussion on
  gcc-patches (to those which are exported by gcc 3.4).
* Mon Jun 28 2004 - matz@suse.de
- Export some more symbols in libstdc++ to make LSB happy.
  The patch should be on the 3.3 branch soon.
* Tue Jun 22 2004 - matz@suse.de
- Fix variable tracking wrt location lists for DW_AT_frame_base.
  Noticable when debugging on s390 (josef).
- Improve operator>>(basic_istream<>&, basic_string<>&) 2-3x (paolo).
* Mon Jun 21 2004 - schwab@suse.de
- Fix unwinding through noreturn functions [#41853].
* Wed Jun 09 2004 - meissner@suse.de
- Fix using custom allocators for basic_strings in libstdc++. #40711
* Wed Jun 02 2004 - meissner@suse.de
- Fixed altivec vs integer problems by merging the
  mainline altivec.h. LTC#8908,#8961 SUSE#41341,#41409.
* Wed Jun 02 2004 - aj@suse.de
- Fix PR c/15549: Miscompilation using boolean type in inlined
  function.
* Thu May 27 2004 - aj@suse.de
- apply missing thunks for last patch.
* Wed May 26 2004 - aj@suse.de
- Fix #41218: use of std::getline produces an undefined reference
  to std::basic_ios::_M_setstate at link time.
  This changes also libstdc++ version to 5.0.6.
* Tue May 25 2004 - aj@suse.de
- Fix PR libstdc++/11352.
- Fix LSB 2.0 testsuite error in libstdc++.
* Tue May 25 2004 - aj@suse.de
- Fixes for correct handling of -mcpu on PPC.
* Mon May 24 2004 - aj@suse.de
- Fixes for PPC Altivec.
* Fri May 21 2004 - matz@suse.de
- Add -fno-eliminate-unused-debug-types for lkcd.
* Wed May 12 2004 - aj@suse.de
- Fix further Altivec corner cases for PPC.
* Tue May 11 2004 - aj@suse.de
- Fix PPC Altivec problems.
* Sat May 08 2004 - aj@suse.de
- Fix structure modification miscompilation on x86-64.
  [# 39378]
- Update regparm for AMD64 to use less memory.
* Wed May 05 2004 - aj@suse.de
- Fix wrong code due to overlapping stack temporaries on s390
  [GCC bug #15054].
* Sun May 02 2004 - aj@suse.de
- Speed up libstdc++ string and locale functions.
* Fri Apr 30 2004 - aj@suse.de
- Fix dwarf2 debug output on PPC.
- Fix PPC Altivec bugs.
- Fixes for variable tracking.
* Mon Apr 26 2004 - aj@suse.de
- Speed up libstdc++ string parsing.
* Sun Apr 25 2004 - aj@suse.de
- Properly fix vartracking bug.
- Fix an ICE.
- Speed up libstdc++ string handling.
* Wed Apr 21 2004 - aj@suse.de
- Revert last variable tracking patch for now, it caused some
  endless loops.
* Tue Apr 20 2004 - aj@suse.de
- Fix bug in variable tracking.
- Fix ICE noticed on PowerPC.
* Sun Apr 18 2004 - aj@suse.de
- Fix miscompilation noticed on AMD64 [#39072].
- Fix Altivec stack layout bug on PowerPC [GCC bug 14715].
* Sat Apr 17 2004 - schwab@suse.de
- Pacify autobuild.
* Mon Apr 05 2004 - aj@suse.de
- Fix hidden support.
* Sat Apr 03 2004 - aj@suse.de
- Save log files for test runs also.
- Improve PowerPC5 scheduler.
* Wed Mar 31 2004 - aj@suse.de
- Do not use --with-cpu=powerpc64 on PPC64.
* Tue Mar 30 2004 - schwab@suse.de
- Fix missing header in boehm-gc.
* Tue Mar 30 2004 - aj@suse.de
- Fix #36958 in a different and conservative way.
- Fix altivec ICE on PPC [GCC #11591].
- Fix altivec problems on PPC.
* Mon Mar 29 2004 - aj@suse.de
- Remove patch pr5293, it is already in the hammer-diff.
* Sat Mar 27 2004 - aj@suse.de
- Revert patch for #36958, it causes ICEs on i386.
* Sat Mar 27 2004 - aj@suse.de
- Fix miscompilation [#36958].
- Fix PPC biarch setup.
* Wed Mar 24 2004 - aj@suse.de
- Fix hang in regparam patch.
- Fix regparam patch so that it works only on AMD64.
- Build libstdc++ documentation [#36263].
* Sat Mar 20 2004 - aj@suse.de
- Disable regparam for PPC also.
- Fix libstdc++ path change for PPC.
* Fri Mar 19 2004 - meissner@suse.de
- disable regparam patch on ppc64, it breaks glibc unwinding
  somehow.
* Fri Mar 19 2004 - aj@suse.de
- Move loop unroller patch into hammer-patch.
- Warn about using of lvalues as cast.
- Fix libstdc++ libdir path [#36358].
* Thu Mar 18 2004 - aj@suse.de
- Add loop unroller improvements.
* Mon Mar 15 2004 - aj@suse.de
- Fix ICE on s390.
* Fri Mar 12 2004 - aj@suse.de
- Update regparm patch to fix an ICE.
* Fri Mar 12 2004 - aj@suse.de
- Fix bug in ia64 libffi.
* Thu Mar 11 2004 - ro@suse.de
- make sure macro build_nof is defined
* Thu Mar 11 2004 - aj@suse.de
- Add libgcc_s_64 for powerpc64.
* Mon Mar 08 2004 - aj@suse.de
- Build without checking.
* Mon Mar 08 2004 - aj@suse.de
- Fix breakage of LDBL_MAX patch.
- Speedup variable tracking.
- Fix s390 ICE with string expanders.
- Update patch for PR11983.
- Use less memory while compiling.
* Fri Mar 05 2004 - aj@suse.de
- Fix ICEs on PPC.
- Fix LDBL_MAX on PPC64.
- Fix race condition with profile generation.
* Thu Mar 04 2004 - aj@suse.de
- Fix ICE compling bochs on i386.
- Generate warning on AMD64 for -mcmodel=kernel without -mno-red-zone.
- Update for ia32e.
- Fix some gcj bugs.
* Tue Mar 02 2004 - aj@suse.de
- Fix package list.
* Fri Feb 27 2004 - aj@suse.de
- Fix permissions for gcc-locale.
* Fri Feb 27 2004 - aj@suse.de
- Split up a gcc-locale package.
- Fix spec file.
* Wed Feb 25 2004 - aj@suse.de
- Add warnings about regparm usage.
- Fix PPC problems.
* Sat Feb 21 2004 - aj@suse.de
- Fix various PPC problems.
- Fix ICE compiling kernel with -march=k6.
- Fix warnings.
* Thu Feb 19 2004 - aj@suse.de
- Fix ICE building glibc on PPC.
* Sun Feb 15 2004 - aj@suse.de
- Update from 3.3.3 release.
* Thu Feb 12 2004 - aj@suse.de
- Disable nof libraries on PPC
- Use altivec ABI for PPC
* Wed Feb 11 2004 - aj@suse.de
- Update from hammer-branch:
  * Fixes for PPC (objc, java, variable tracking)
  * Use libdir for gcc-lib path.
* Mon Feb 09 2004 - aj@suse.de
- Update from hammer-branch:
  * Reduce memory usage of GCC and make GCC run faster
  * Fixes for PPC
* Mon Feb 09 2004 - aj@suse.de
- Fix ia64 bootstrap problem
- Fixes for variable tracking.
* Thu Feb 05 2004 - aj@suse.de
- Further PPC fixes.
- Fix problem in reload hitting some large s390 code.
* Wed Feb 04 2004 - aj@suse.de
- Fix build problems on ppc
* Mon Feb 02 2004 - aj@suse.de
- Update from hammer-branch:
  * Fix inline problems.
  * Further PPC patches.
* Thu Jan 29 2004 - aj@suse.de
- Update from hammer-branch:
  * Fix merge problem on s390
  * Reduce alignment of string constants on x86/x86-64
  * Further PPC VMX patches.
* Wed Jan 28 2004 - aj@suse.de
- Merge from hammer-branch:
  * merge with GCC 3.3.3 CVS
  * fix ppc64 build
  * build 32-bit nof libraries
  * PPC VMX support
  * Produce better diagnostics when ICE occurs
  * Allow large stack frames on s390x
* Mon Jan 26 2004 - aj@suse.de
- fixed build after ppc merges
* Wed Jan 21 2004 - aj@suse.de
- Merge from hammer-branch:
  * fixes and merges for PPC by IBM
  * fix build on ia64
* Mon Jan 19 2004 - aj@suse.de
- Fix build on alpha.
* Thu Jan 15 2004 - aj@suse.de
- Fix GtkAda compilation on i386.
- Integrate PPC patches.
- Fixes for variable tracking in complex functions.
* Thu Jan 15 2004 - schwab@suse.de
- Create new subpackage boehm-gc.
* Tue Jan 13 2004 - aj@suse.de
- Fix djuvlibre non-compilation.
- Fix ia64 miscompilation with trapping instructions.
* Mon Jan 12 2004 - aj@suse.de
- Merge from hammer-branch with bug fixes
* Thu Jan 08 2004 - aj@suse.de
- Merge from hammer-branch:
  * Update for variable tracking
  * ia64 unwind update
* Sun Jan 04 2004 - aj@suse.de
- Merge from hammer-branch:
  * Updates for inlining to fix bug miscompiling tripwire
  * Update for variable tracking
* Wed Dec 31 2003 - aj@suse.de
- Fix inlining of memcpy with -Os on x86.
- Fix ICE in make.
- Fix Java memory hog.
* Sat Dec 20 2003 - aj@suse.de
- Fix previous calls.c patch.
* Thu Dec 18 2003 - aj@suse.de
- Merge with GCC 3.3 branch.
- Update regparam patch.
* Tue Dec 16 2003 - aj@suse.de
- change config-dist.sh to check-build.sh.
- Update powerpc patches.
* Sun Dec 14 2003 - aj@suse.de
- Fix a number of ICEs.
- Fix ia64 libunwind code.
* Thu Dec 11 2003 - aj@suse.de
- Update regparm patch.
* Tue Dec 09 2003 - aj@suse.de
- Fix some ICEs due to an off-by-one error.
* Mon Dec 08 2003 - aj@suse.de
- Fix -minline-all-stringops.
* Sat Dec 06 2003 - aj@suse.de
- Further medium model fixes for AMD64 by Jan Hubicka.
* Fri Dec 05 2003 - aj@suse.de
- Further medium model fixes by Jan Hubicka.
- Add regparam patch from Josef Zlomek.
- Enable aliasing patch since miscompilation of ia64 kernel is fixed.
* Thu Dec 04 2003 - aj@suse.de
- Merge from hammer-branch:
  * Fixes for medium model on amd64
  * fix an ICE on IPF
  * fixes for passing large arguments
* Mon Dec 01 2003 - aj@suse.de
- Fix medium model on amd64.
* Thu Nov 27 2003 - schwab@suse.de
- Disable broken aliasing patch again.
* Thu Nov 27 2003 - aj@suse.de
- Fix vrp memory problems.
* Wed Nov 26 2003 - aj@suse.de
- Fix PR 13041 (i386 kernel miscompilation).
- Merge from hammer-branch with fixes for PNI support.
* Tue Nov 25 2003 - aj@suse.de
- Update PPC patch.
- Merge from hammer-branch with:
  * fixes for medium model on amd64.
  * fixes for s390.
* Mon Nov 17 2003 - meissner@suse.de
- Do not pack 64bit libraries for ppc32, they will come
  from baselibs-xxbit. Do it the same way as sparc32.
* Fri Nov 14 2003 - schwab@suse.de
- Disable broken aliasing patch.
* Tue Nov 11 2003 - aj@suse.de
- Merge with current hammer-branch:
  * Integrates a number of local patches
  * Fixes for vartracking on IPF and x86.
* Fri Nov 07 2003 - aj@suse.de
- Fix tls miscompiliation in i386 backend.
- Fix vartracking.
* Thu Nov 06 2003 - schwab@suse.de
- Fix generation of location labels.
* Sun Nov 02 2003 - aj@suse.de
- Fix ia64 intrinsics.
* Wed Oct 29 2003 - schwab@suse.de
- Enable Ada on mips.
* Sun Oct 26 2003 - aj@suse.de
- Fix build on AXP.
- Speed up VRP.
* Thu Oct 23 2003 - aj@suse.de
- Add tsp-reordering.
* Tue Oct 21 2003 - aj@suse.de
- Update to current PPC patchset.
- Fix S390 merge error.
* Sun Oct 19 2003 - aj@suse.de
- Merge with GCC 3.3.2.
- Update vartracking to fix ICE on s390 properly.
* Fri Oct 17 2003 - aj@suse.de
- Fix ICE on s390.
- Enhance config-dist test so that PowerPC will only be build
  on a 64-bit machine.
* Wed Oct 15 2003 - meissner@suse.de
- Readded lost ppc64-nostartfileprefix.patch
* Tue Oct 14 2003 - aj@suse.de
- Build as non-root.
* Mon Oct 13 2003 - aj@suse.de
- Update from hammer-branch:
  * Add variable tracking for better debugging.
  * Merge from 3.3 branch.
* Sat Oct 11 2003 - adrian@suse.de
- enable java for mips
* Thu Oct 02 2003 - kukuk@suse.de
- Enable biarch support on SPARC
* Tue Sep 30 2003 - aj@suse.de
- Update powerpc patches.
* Mon Sep 29 2003 - aj@suse.de
- Fix spec file.
* Mon Sep 29 2003 - aj@suse.de
- Update hammer-branch to really include note.GNU-stack patch.
* Fri Sep 26 2003 - aj@suse.de
- Generate note.GNU-stack sections to support non-executable stack.
- Enable unit-at-a-time.
* Thu Sep 25 2003 - aj@suse.de
- Fix ICE on s390.
* Mon Sep 22 2003 - aj@suse.de
- Fix wrong mindf pattern. (#31434)
* Fri Sep 19 2003 - kukuk@suse.de
- gcc should obsolete egcs
- Add c_preprocessor back to cpp
* Wed Sep 17 2003 - aj@suse.de
- Remove gcc33-sched-ebb-cselib, it caused memory corruption when
  building some packages.
* Mon Sep 15 2003 - aj@suse.de
- Fix PR12223.
* Tue Sep 09 2003 - aj@suse.de
- Add PNI support.
* Mon Sep 08 2003 - aj@suse.de
- Fix GCC Bugs 11852, 12181 (from GCC 3.3 branch)
* Sun Sep 07 2003 - aj@suse.de
- Fix GCC Bugs 12163, 12146, 12070, 9862, 10962, 11867
  (from GCC 3.3 branch)
* Fri Sep 05 2003 - aj@suse.de
- Fix GCC Bugs 5293,11207,11928 (from GCC 3.3 branch)
- Fix wrong placement of note label (miscompiled askpass)
* Thu Sep 04 2003 - aj@suse.de
- Fix handling of long branches on PPC.
* Wed Sep 03 2003 - aj@suse.de
- Fix optimization regression in loop optimization (by Michael Matz).
- Strip libgcj.a.
* Mon Sep 01 2003 - aj@suse.de
- Add really fix for ia64 swig miscompilation.
* Sat Aug 30 2003 - aj@suse.de
- Fix bug in gcse with volatiles which miscompiled the Linux kernel.
* Fri Aug 29 2003 - aj@suse.de
- Fix folding of some and special case which miscompiled OOo. [#29516]
- Fix builtin_expect.
- Move some patches into CVS.
* Tue Aug 26 2003 - aj@suse.de
- Reduce resource usage while bootstrap.
- Workaround SPARC bootstrap problem.
* Mon Aug 25 2003 - aj@suse.de
- Fix bugs in unit-at-a-time.
- Fix bootstrap problem on ia64.
- Use -O2 on s390 for bootstrap.
* Sun Aug 24 2003 - aj@suse.de
- Disable unit-at-a-time.
* Sat Aug 23 2003 - aj@suse.de
- Fix ICE on powerpc.
- Fix miscompilation of swig on IPF.
* Thu Aug 21 2003 - aj@suse.de
- Enable unit-at-a-time again.
- Fix problem with latest patch.
* Wed Aug 20 2003 - aj@suse.de
- Fix miscompilation of icu and OpenOffice.
- Fix ICE in latest unit-at-a-time patch.
* Tue Aug 19 2003 - aj@suse.de
- revert patch to stop g++ producing errors instead of warnings.
* Tue Aug 19 2003 - aj@suse.de
- Fix bug in last unit-at-a-time change.
- Better optimize shifts into instructions.
- Provide bug reporting addresses.
- Fix an ICE on i386.
* Mon Aug 18 2003 - aj@suse.de
- Fix bug in unit-at-a-time with renaming of certain identifiers.
* Fri Aug 15 2003 - aj@suse.de
- Enable unit-at-a-time again.
- Fix kernel compile problem.
* Thu Aug 14 2003 - aj@suse.de
- Update to GCC 3.3.1.
* Wed Aug 13 2003 - aj@suse.de
- Fix ICE compiling xmms-plugin.
- Disable unit-at-a-time in all optimization levels.
- Really fix GCSE bug for gperf.
* Mon Aug 11 2003 - aj@suse.de
- Update aliasing patch.
- Fix GCSE bugs that miscompiled gperf.
- Fix SMP race during build.
* Fri Aug 08 2003 - aj@suse.de
- Some fixes for unit-at-a-time on i386.
- Disable unit-at-a-time by default for now.
* Wed Aug 06 2003 - aj@suse.de
- Add some aliasing optimizations.
* Mon Aug 04 2003 - schwab@suse.de
- Add fix for PR11693.
* Mon Aug 04 2003 - aj@suse.de
- Remove Pascal again, it is not supported on enough platforms.
- Add GCSE patch to optimize some constants better.
- Add new option -fpromote-prototypeless-arguments to work around bugs
  with vararg handling.
* Sat Aug 02 2003 - aj@suse.de
- Fix update of liveness information to converge better.
- Fix typeinfo C++ failure with unit-at-a-time.
- Disable conversions.diff since it miscompiles perl at least.
* Fri Aug 01 2003 - aj@suse.de
- Fix unit-at-a-time typo that optimized away too much.
* Thu Jul 31 2003 - aj@suse.de
- Fix bootstrap failure.
* Wed Jul 30 2003 - aj@suse.de
- Fix ICE during kernel compilation.
* Wed Jul 30 2003 - aj@suse.de
- Fix problems with C++ and unit-at-a-time.
* Tue Jul 29 2003 - aj@suse.de
- Fix C++ unit-at-a-time bugs to compile kdelibs again.
* Mon Jul 28 2003 - aj@suse.de
- Fix bugs in unit-at-a-time.
* Fri Jul 25 2003 - aj@suse.de
- Fix ICE in double conversions.
* Wed Jul 23 2003 - aj@suse.de
- Fix unit-at-a-time bugs.
* Tue Jul 22 2003 - schwab@suse.de
- Fix use of head/tail.
* Mon Jul 21 2003 - aj@suse.de
- Enable unit-at-a-time for C++.
* Fri Jul 18 2003 - aj@suse.de
- Fix ICE while inlining.
* Fri Jul 18 2003 - aj@suse.de
- Fixed version of conversions.diff enabled.
- Avoid endless loop in vrp.
* Thu Jul 17 2003 - aj@suse.de
- Disable conversions.diff for now since it cases ICEs.
* Wed Jul 16 2003 - aj@suse.de
- Fix ICE in c-decl.
* Wed Jul 16 2003 - meissner@suse.de
- remove the relative search path from STARTFILE_PREFIX_SPEC,
  so libtool on ppc64 will link files again.
* Tue Jul 15 2003 - aj@suse.de
- Fix building on ppc64.
- Fix ia64 miscompilation of apache.
- Update to current hammer branch.
- Optimize C++ thunks.
* Sun Jul 06 2003 - meissner@suse.de
- Updated ppc64 patch.
- Enabled biarch and fixed file lists for ppc64.
- Pass *CFLAGS to "make bootstrap", so we get -mminimal-toc inside
  for ppc64.
* Sat Jul 05 2003 - aj@suse.de
- Fix problems with loop discovery code.
* Fri Jul 04 2003 - aj@suse.de
- Update to current hammer branch with support for z990.
* Wed Jul 02 2003 - aj@suse.de
- Fix bootstrap problem on x86-64.
* Mon Jun 30 2003 - meissner@suse.de
- Added patch to fix PR 9745, miscompilation of libmcrypt on ppc32
  and sparc.
* Wed Jun 25 2003 - aj@suse.de
- Update from CVS to bootstrap again on AMD64 and ia64.
* Wed Jun 25 2003 - aj@suse.de
- Update to current CVS version.
* Sat Jun 21 2003 - aj@suse.de
- Integrate bug fixes for compilation bugs and ICEs.
* Fri Jun 13 2003 - aj@suse.de
- Add new ppc64 patch.
- Update to current GCC 3.3.1 CVS version.
* Thu Jun 12 2003 - aj@suse.de
- Package missing directories.
* Wed Jun 11 2003 - aj@suse.de
- Include Pascal (GPC) support.
- Fix x86 TLS bug.
* Mon Jun 09 2003 - aj@suse.de
- Add VPR pass.
* Thu Jun 05 2003 - kukuk@suse.de
- Fix next dangling symlink
* Thu Jun 05 2003 - kukuk@suse.de
- Fix dangling symlink
* Wed Jun 04 2003 - aj@suse.de
- Fix combiner problems.
- make pathlength configurable.
- Update to current hammer-branch.
* Fri May 30 2003 - aj@suse.de
- Build protoize.
* Thu May 22 2003 - aj@suse.de
- Fix bootstrap failure on some i386 setups.
- Optimize sibcalls better.
* Tue May 20 2003 - aj@suse.de
- Update to GCC 3.3 release.
* Sat May 17 2003 - aj@suse.de
- Further fixes to package list.
* Fri May 16 2003 - aj@suse.de
- Update to GCC 3.3 release.
- Fix s390 ICE.
- Fix package list.
* Mon May 12 2003 - schwab@suse.de
- Enable shared gnat library on ia64.
* Fri May 09 2003 - aj@suse.de
- Merge from 3.3 branch.
- Fix memory calculation.
* Wed May 07 2003 - aj@suse.de
- Merge from 3.3 branch.
* Mon May 05 2003 - aj@suse.de
- Fix for unwinding.
* Thu May 01 2003 - aj@suse.de
- Update to current 3.3 branch.
* Wed Apr 30 2003 - aj@suse.de
- Use i586 as default architecture for the x86 family (instead of
  i486).
* Tue Apr 29 2003 - aj@suse.de
- Define __amd64__.
* Fri Apr 25 2003 - aj@suse.de
- Update from 3.3 branch.
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Apr 22 2003 - schwab@suse.de
- Fix quoting when generating /lib/cpp.
* Tue Apr 22 2003 - aj@suse.de
- Readd /lib/cpp change.
* Mon Apr 21 2003 - aj@suse.de
- Update from 3.3 version.
* Sat Apr 19 2003 - schwab@suse.de
- Make /lib/cpp a script that passes -xc to cpp.
* Wed Apr 16 2003 - aj@suse.de
- Update to current 3.3 version, work around ia64
  code generation bug.
* Sat Apr 12 2003 - aj@suse.de
- Update to current 3.3 version.
* Fri Apr 11 2003 - aj@suse.de
- Fix bug in profiling code.
* Thu Apr 10 2003 - aj@suse.de
- Update to current 3.3 version.
* Mon Apr 07 2003 - aj@suse.de
- Fix bug in reload.
* Mon Apr 07 2003 - aj@suse.de
- Use profiledbootstrap.
* Sat Apr 05 2003 - aj@suse.de
- Include some AMD64 optimizations.
- Fix powerpc build failure.
* Tue Apr 01 2003 - aj@suse.de
- Add updated red zone patch.
* Tue Apr 01 2003 - aj@suse.de
- Do not use red zone patch, it breaks i686 compilation.
* Mon Mar 31 2003 - aj@suse.de
- Revert optimization that miscompiled packages.
* Sat Mar 29 2003 - aj@suse.de
- Update from GCC 3.3 mainline.
- Update powerpc64 patches.
* Wed Mar 26 2003 - aj@suse.de
- Update from hammer branch.
- Package libstdc++ documentation (#21810).
* Thu Mar 20 2003 - aj@suse.de
- Fix memory corruption by Garbage collector.
- Fix 32-bit libffi.
* Wed Mar 19 2003 - aj@suse.de
- Update to current 3.3 version.
- Fix ia64 bootstrap failure.
* Mon Mar 17 2003 - aj@suse.de
- Set _LP64/__LP64__ for x86-64.
* Fri Mar 14 2003 - aj@suse.de
- Allow inline inline.
- Fix hexadecimal parsing.
- Fix flt method for x86-64.
- Partial merge from 3.3 branch.
* Wed Mar 12 2003 - aj@suse.de
- Update to current 3.3 branch.
* Wed Mar 12 2003 - aj@suse.de
- Do not pack man pages that conflict with Java package.
- Fix la path (#24837) completly.
* Tue Mar 11 2003 - aj@suse.de
- Revert builtins patch that broke lots of programs.
- Fix conversions.
* Mon Mar 10 2003 - aj@suse.de
- Update from current 3.3 version.
- Fix .la files to not contain .. (#24837).
* Sun Mar 09 2003 - aj@suse.de
- Fix ICE on i386.
- Do not build in source dir.
- Fix possible memory corruption in callgraph.
* Sat Mar 08 2003 - aj@suse.de
- Fix C++ errors in compiling galeon/mozilla.
* Fri Mar 07 2003 - aj@suse.de
- Fix i386 ICE.
* Fri Mar 07 2003 - aj@suse.de
- Fix two C++ ICEs.
* Wed Mar 05 2003 - aj@suse.de
- Update from 3.3 branch.
- Install unwind.h.
- Fix ABI change.
* Tue Mar 04 2003 - aj@suse.de
- Fix x86 and x86-64 code generation problems.
- Fix feedback driven optimizations.
* Mon Mar 03 2003 - aj@suse.de
- Fix passing of 128-bit values for x86-64.
* Fri Feb 28 2003 - aj@suse.de
- Improve inline heuristics.
- Add nof multilib libraries for powerpc.
- Fix install-info.
* Fri Feb 28 2003 - aj@suse.de
- Update from 3.3 mainline.
* Sun Feb 23 2003 - aj@suse.de
- Update from 3.3 mainline.
- Fix folding of floats/doubles.
* Thu Feb 20 2003 - aj@suse.de
- Fix error with complex conversion.
- Improve constant folding.
* Wed Feb 19 2003 - aj@suse.de
- Fix PR9707 (openoffice miscompilation).
* Tue Feb 18 2003 - aj@suse.de
- Update to current version.
* Mon Feb 17 2003 - aj@suse.de
- Use gcc 3.3 as version.
* Sat Feb 15 2003 - olh@suse.de
- remove libstdc++-flags_to_pass.patch and pass-slibdir.patch
  use new DESTDIR feature
* Wed Feb 12 2003 - aj@suse.de
- Fix loop unrolling.
* Tue Feb 11 2003 - aj@suse.de
- Fix inlining.
* Mon Feb 10 2003 - aj@suse.de
- Fix ICE on i386.
- Incorporate fixes from branch.
* Fri Feb 07 2003 - aj@suse.de
- Update to current version.
* Thu Feb 06 2003 - aj@suse.de
- Use install-info for info pages.
* Thu Feb 06 2003 - pthomas@suse.de
- cpp from 3.3 up needs cc1, so move cc1 to cpp sub package.
* Mon Feb 03 2003 - aj@suse.de
- Update to current version.
* Sat Feb 01 2003 - aj@suse.de
- Update to current CVS.
* Fri Jan 31 2003 - aj@suse.de
- Add unit-at-a-time optimization (disabled by default).
* Thu Jan 30 2003 - aj@suse.de
- Fix last patch.
* Wed Jan 29 2003 - aj@suse.de
- Fix bootstrap on pa.
* Tue Jan 28 2003 - schwab@suse.de
- Enable Ada on s390[x].
* Tue Jan 28 2003 - aj@suse.de
- Disable biarch for sparc.
- Remove unit at a time optimization.
- Increase GC defaults for faster compilation.
- Enable java interpreter for x86-64.
* Mon Jan 27 2003 - aj@suse.de
- Fix ix86_split_long_move patch.
- Fix use of .init_array.
- Add patch for unit at a time optimization.
- Update to current version.
* Tue Jan 21 2003 - sf@suse.de
- added patch for pr7154 <jh@suse.cz>
- added patch tpecheck.patch <zlomekj@suse.cz>
* Tue Jan 21 2003 - sf@suse.de
- added ix86_split_long_move.patch
* Mon Jan 20 2003 - sf@suse.de
- fix in cp_parser_dependent_type_p
  (Josef Zlomek <zlomj9am@artax.karlin.mff.cuni.cz> )
- fix for SSE cmov splitter (<jh@suse.cz>
* Mon Jan 20 2003 - sf@suse.de
- fix PR c++/9342
* Sat Jan 18 2003 - aj@suse.de
- Fix PR9358.
* Wed Jan 15 2003 - aj@suse.de
- Fix package list.
* Mon Jan 13 2003 - aj@suse.de
- Update to current hammer branch.
- Fix two c++ bugs.
* Sat Jan 11 2003 - aj@suse.de
- Update to current hammer branch.
- Remove cyclic dependency for java.
* Wed Jan 08 2003 - aj@suse.de
- Update to current hammer branch.
- Fix package lists.
* Wed Jan 01 2003 - aj@suse.de
- Update to current CVS.
* Fri Dec 13 2002 - olh@suse.de
- fix broken parellel build calculation
* Fri Dec 13 2002 - ro@suse.de
- update to hammer branch of 20021207
* Sat Dec 07 2002 - olh@suse.de
- dont build ada on ppc, dont fail on lowmemory systems
* Wed Dec 04 2002 - aj@suse.de
- Fix several C++ ICEs.
- Fix ICE on x86-64.
* Mon Dec 02 2002 - aj@suse.de
- Fix several miscompilations on i586 and x86-64.
- Fix internal compiler errors on i586 and x86-64.
* Sun Dec 01 2002 - aj@suse.de
- Fix bootstrap on i386.
- Fix cmov internal compiler errors.
* Fri Nov 29 2002 - aj@suse.de
- Add some fixes for x86-64.
* Wed Nov 27 2002 - aj@suse.de
- Another update from hammer branch with a fixed version.c name to identify
  the branch correctly.
- Fix building of java for hppa.
* Wed Nov 27 2002 - aj@suse.de
- Update to hammer branch from 2002-11-25.
* Tue Nov 19 2002 - aj@suse.de
- Update to hammer branch from 2002-11-18.
* Wed Nov 13 2002 - aj@suse.de
- Update to hammer branch from 2002-11-13.
* Mon Nov 11 2002 - aj@suse.de
- Fix SSE bug so that glibc builds.
* Sun Nov 10 2002 - ro@suse.de
- added another fix to build ada
* Sun Nov 10 2002 - aj@suse.de
- Update to current CVS version.
* Thu Nov 07 2002 - aj@suse.de
- Update to GCC 3.3 CVS.
* Tue Oct 22 2002 - kukuk@suse.de
- gcc-objc needs libobjc [Bug #21182]
* Wed Oct 02 2002 - aj@suse.de
- Update to gcc 3.2.1 CVS version from 2002-10-02.
- Add support for attribute visibility.
- Add support for __thread keyword.
- Update to new ppc patch.
- Add fix for new register allocator.
* Tue Sep 24 2002 - schwab@suse.de
- Enable Ada on s390/s390x.
* Wed Sep 18 2002 - pthomas@suse.de
- Append (SuSE) to version string.
* Thu Sep 05 2002 - ro@suse.de
- biarch "on" for sparc
* Tue Sep 03 2002 - aj@suse.de
- Link libgnat again against libiberty.
* Sun Sep 01 2002 - aj@suse.de
- Fix ada problem with convert_address
- Fix tail padding patch.
- Fix sparc biarch problems (by Thorsten Kukuk)
- Fix x86-64 objective nil_method implementation.
* Sun Sep 01 2002 - bk@suse.de
- Correct startfile_prefix_spec check in biarch-startfile diff
- Add biarch patch for s390x and fix libffi for biarch
* Sat Aug 31 2002 - kukuk@suse.de
- Disable "strip-dotdot.patch" on SPARC
- Add biarch patch for SPARC
- Fix biarch support for SPARC
* Thu Aug 29 2002 - aj@suse.de
- Fix copying of too many bytes for C++.
- Fix bug in renaming of data symbols.
- Add patch to optionally warn about known C++ ABI problems
- Fix objective C problems and testsuite failures.
- Fix ada problems on x86-64.
- Link ada correctly.
* Sun Aug 25 2002 - schwab@suse.de
- Update ppc64 patch.
- Enable Ada on x86-64.
- Workaround missing TI mode support by not building gnatchop and gnatmake
  on x86-64.
* Fri Aug 23 2002 - aj@suse.de
- Fix returning of structs on x86-64.
* Fri Aug 23 2002 - meissner@suse.de
- Do not use the lib suffixes in cross compile build, just use /lib/.
- Use include/c++/<gccver>/ in cross compile build.
* Thu Aug 22 2002 - aj@suse.de
- Fix prefetch on x86-64.
* Wed Aug 21 2002 - schwab@suse.de
- Update ppc64 patch.
* Wed Aug 21 2002 - aj@suse.de
- Fix copying of arguments for functions.
- Fix ICE with nested extern inline functions.
- Fix copying of structs on x86 (GCC PR 7591)
* Fri Aug 16 2002 - schwab@suse.de
- Fix libjava makefile to pass flags.
- Readd 32-bit java libs.
* Fri Aug 16 2002 - aj@suse.de
- Do not pack 32-bit java libs on biarch archs for now.
* Thu Aug 15 2002 - schwab@suse.de
- Update to gcc 3.2 release.
* Thu Aug 15 2002 - aj@suse.de
- Add java support for x86-64.
- Fix profiling for x86-64.
* Wed Aug 14 2002 - uli@suse.de
- don't apply newra patches on ARM
* Tue Aug 13 2002 - schwab@suse.de
- Update to gcc 3.2 snapshot 20020812.
* Mon Aug 12 2002 - aj@suse.de
- Fix patch for passing structs.
* Sun Aug 11 2002 - aj@suse.de
- Fix ICE on x86-64.
- Fix passing of structs (PR 7559).
* Sun Aug 11 2002 - kukuk@suse.de
- Use version macros after version is set.
* Fri Aug 09 2002 - kukuk@suse.de
- Fix requires [Bug #17543]
* Thu Aug 08 2002 - aj@suse.de
- Update to current CVS that contains some more ABI changes (strstream,
  and alignment of bit fields).
- Document -mcmodel for x86-64.
* Wed Aug 07 2002 - aj@suse.de
- Fix ICE in new register allocator.
* Tue Aug 06 2002 - schwab@suse.de
- Update to gcc 3.2 snapshot 20020805.
* Tue Aug 06 2002 - aj@suse.de
- Fix builtin_femms, ICE on x86, miscompilation with fold-const.
* Mon Aug 05 2002 - schwab@suse.de
- Update ppc64 patch, supersedes last change.
* Thu Aug 01 2002 - aj@suse.de
- Add fix for f77 on 64 bit hosts.
* Thu Aug 01 2002 - schwab@suse.de
- Update ppc64 patch.
- Stripping `..' already contained in it.
* Mon Jul 29 2002 - schwab@suse.de
- Update to gcc 3.2 snapshot 20020729.
- Add patch to strip `..' from gcc paths.
* Fri Jul 26 2002 - kukuk@suse.de
- Remove libz from neededforbuild
* Thu Jul 25 2002 - schwab@suse.de
- Update ppc64 patch.
- Avoid triggering compiler bug on ia64.
- Add fixes for s390x.
* Wed Jul 24 2002 - aj@suse.de
- Fix bzero on x86-64.
- Fix ppc bug 7380.
* Tue Jul 23 2002 - schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020722.
* Mon Jul 22 2002 - aj@suse.de
- Add new register allocator.
- Fix libcall scheduling to fix ppc failures.
- Add new ppc patch and enable java for ppc64.
- Fix GCC PRs 7130, 7120, 6713.
- Fix some x86 code generation problems.
- Add large ABI patch for future compatibility.  This means that
  this compiler is not backward compatible anymore!
* Tue Jul 16 2002 - schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020715.
- Update ppc64 patch.
* Thu Jul 11 2002 - aj@suse.de
- Update ppc64 patch.
- Disable checking.
- Fix PR7245.
- Fix prefetching.
* Tue Jul 09 2002 - schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020708.
- Update ppc64 patch.
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Tue Jul 02 2002 - schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020701.
* Tue Jun 25 2002 - schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020624.
* Thu Jun 20 2002 - uli@suse.de
- disable Java on ARM
* Tue Jun 18 2002 - schwab@suse.de
- Update to gcc 3.1.1. snapshot 20020617.
- Revert biarch-startfile fix.
- Reenable __cxa_atexit on s390.
* Tue Jun 18 2002 - aj@suse.de
- Fix biarch-startfile patch.
* Fri Jun 14 2002 - bk@suse.de
- enable java for s390x
- fix filelist of libgcj-devel for non-biarch lib64 archs w/ java
- remove s390-fixed_regs.patch, patch was broken and properly fixed
- s390: remove --enable-__cxa_atexit, might trigger the bugs we see.
* Tue Jun 11 2002 - schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020610.
- Enable __cxa_atexit by default.
- Add S390 patches.
- Fix inline memcpy for x86.
* Mon Jun 10 2002 - olh@suse.de
- disable ppc64_crt_path.diff, obsolete
* Mon Jun 10 2002 - aj@suse.de
- Enable optionally running of testsuite.
* Fri Jun 07 2002 - schwab@suse.de
- Fix strstreambuf::overflow.
* Fri Jun 07 2002 - mls@suse.de
- Sort class files when creating libgcj.jar.
* Fri Jun 07 2002 - aj@suse.de
- Fix biarch support on x86-64 to use lib64.
* Thu Jun 06 2002 - aj@suse.de
- Fix build on x86-64.
* Thu Jun 06 2002 - aj@suse.de
- Enable multilib for x86-64.
- Add new powerpc patch.
- Fix an endless loop in compiler.
- Fix off-by-one error in fold-const.
* Tue Jun 04 2002 - bk@suse.de
- s390x: temporary disable java to get it build with current kernel
* Tue Jun 04 2002 - schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020603.
* Mon Jun 03 2002 - bk@suse.de
- s390/s390x: add configure to s390-ffi-gcj-java.patch, enable java
* Sun Jun 02 2002 - aj@suse.de
- Fix profiling for x86-64.
* Fri May 31 2002 - bk@suse.de
- add gcc-3.1-s390-may2002.tar.gz, first s390 drop for gcc-3.1
- add s390-ffi-gcj-java.patch s390/s390x
- disable java build for sparc64(already disabled for sparc)
* Fri May 31 2002 - meissner@suse.de
- Replace 1U by 1UL in unsigned long handling in bits/stl_bvector.h
* Thu May 30 2002 - schwab@suse.de
- Fix UNIQUE_SECTION for ia64.
* Tue May 28 2002 - schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020527.
* Mon May 27 2002 - olh@suse.de
- Update to gcc 3.1.1 snapshot 20020527.
  update gcc-20020527-ppc64.diff
* Thu May 23 2002 - schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020521.
- Fix ostream::operator<<.
* Thu May 23 2002 - olh@suse.de
- build with -mminimal-toc on ppc64, make check on ppc64
* Thu May 23 2002 - aj@suse.de
- Add patch to fix SSE issues
- Use cleaner version of dwarf patch for x86-64.
* Tue May 21 2002 - meissner@suse.de
- x86_64: Another conditional move patch (expandmovcc), fixing cryptlib.
* Tue May 21 2002 - coolo@suse.de
- adding pseudo multilib support for s390x, so it's in line with
  x86_64
* Tue May 21 2002 - schwab@suse.de
- Update to gcc 3.1.1 snapshot 20020520.
* Mon May 20 2002 - adrian@suse.de
- fix build on mips. (workaround compiler bug)
* Sun May 19 2002 - aj@suse.de
- Add two fixes for problems with SSE registers.
- Build ppc64 as crosscompiler from ppc (from olh@suse.de).
* Sat May 18 2002 - schwab@suse.de
- Fix filelist for ppc.
* Fri May 17 2002 - meissner@suse.de
- x86_64: apply another cmov helper patch.
- x86_64: XMM reload register fix.
* Thu May 16 2002 - schwab@suse.de
- Update to gcc 3.1 release.
* Tue May 14 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020513.
- x86-64: Fix mi thunks for PIC.
- x86-64: Fix subreg handing.
- x86-64: Fix multilib.
- x86-64: Reenable frame pointer elimination.
- x86-64: Fix eh-frame output with -g0.
* Mon May 13 2002 - schwab@suse.de
- Update to gcc 3.1 prerelease.
- Add ppc64 patches.
* Mon May 13 2002 - meissner@suse.de
- x86-64: Fixed another bug in passing C++ unions.
- x86-64: Fixed Dwarf register counter.
- x86-64: Fixed multiple inheritance thunks.
* Sat May 11 2002 - aj@suse.de
- Fix bug in passing of C++ classes on x86-64.
- Do not use -fomit-frame-pointer by default on x86-64.
* Tue May 07 2002 - schwab@suse.de
- Update to gcc 3.1 snaphost 20020506.
- Add fix for missing assembler label with -g.
* Thu May 02 2002 - schwab@suse.de
- Update to gcc 3.1 snaphost 20020429.
- Add fix for ifcvt problem.
* Thu May 02 2002 - meissner@suse.de
- Added patch that fixes gtk build on x86_64 (ICE in do_SUBST)
* Mon Apr 29 2002 - meissner@suse.de
- Added fixes for x86_64 (all will be in 3.1 later):
  x86_64-movabs.patch	- fixes apache build
  x86_64-fmovcc.patch	- fixes various (xf86, ghostscript-libraries)
  x86_64-typo.patch	- fixes DWARF2 tables
* Fri Apr 26 2002 - coolo@suse.de
- Add patch to build glibc correctly on s390/s390x
* Wed Apr 24 2002 - kukuk@suse.de
- Add patch to build C++ code on sparc32 correct.
* Tue Apr 23 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020422.
* Mon Apr 22 2002 - aj@suse.de
- Fix x86-64 machine description to compile bind9 correctly.
- Do not build java on sparc.
* Thu Apr 18 2002 - aj@suse.de
- Apply Stephan Kulow's patches to build on s390x.
- Build on x86-64 without multilibs and java.
- Do not build java on MIPS.
* Tue Apr 16 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020415.
- Temporarily enable checking.
* Tue Apr 09 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020408.
- Don't build java on s390/s390x.
* Tue Apr 02 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020401.
* Tue Mar 26 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020325.
* Tue Mar 19 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020318.
* Tue Mar 12 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020311.
* Sun Mar 10 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020309.
* Thu Mar 07 2002 - stepan@suse.de
- disable java for Alpha.
* Tue Mar 05 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020304.
* Tue Feb 26 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020225.
* Tue Feb 19 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020218.
* Wed Feb 13 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020211.
- Reorganize package names:
  * gpp -> gcc-c++
  * libgpp -> libstdc++-devel
  * gppshare -> libstdc++
  * g77 -> gcc-g77
  * gccinfo -> gcc-info
  * gobjc -> gcc-objc
  * gjava -> gcc-java
  * New subpackage libgcj, libgcj-devel
* Tue Feb 05 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020202.
* Tue Jan 29 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020128.
- Enable gnat for ppc and axp.
* Tue Jan 22 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020121.
* Tue Jan 15 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20020114.
- Simplify commands to fixup *.la files.
* Mon Jan 07 2002 - aj@suse.de
- Update to current CVS version, fix .la files to not contain
  references to the build environment.
* Wed Jan 02 2002 - schwab@suse.de
- Update to gcc 3.1 snapshot 20011231.
- Enable Ada for ia64.
- Reenable -freorder-blocks.
* Fri Dec 28 2001 - schwab@suse.de
- Update to gcc 3.1 snapshot 20011224.
* Mon Dec 17 2001 - aj@suse.de
- Update to gcc 3.1 20011217.
* Wed Dec 12 2001 - schwab@suse.de
- Fix path to libiberty for shared ada library.
* Tue Dec 11 2001 - schwab@suse.de
- Update to gcc 3.1 snapshot 20011210.
- Build shared ada libraries on i386.
* Wed Dec 05 2001 - schwab@suse.de
- Update to gcc 3.1 snapshot 20011203.
* Wed Nov 28 2001 - schwab@suse.de
- Update to gcc 3.1 snapshot 20011126.
* Wed Nov 21 2001 - schwab@suse.de
- Update to gcc 3.1 snapshot 20011119.
* Wed Nov 14 2001 - schwab@suse.de
- Update to gcc 3.1 snapshot 20011112.
- Build Ada on i386.
* Wed Nov 07 2001 - schwab@suse.de
- Update to gcc 3.1 snapshot 20011105.
* Mon Oct 08 2001 - schwab@suse.de
- Update to gcc 3.0.2 snapshot 20011007.
* Tue Oct 02 2001 - schwab@suse.de
- Update to gcc 3.0.2 snapshot 20011001.
* Sun Sep 30 2001 - schwab@suse.de
- Update to gcc 3.0.2 snapshot 20010924.
* Tue Sep 04 2001 - schwab@suse.de
- Update to gcc 3.0.2 snapshot 20010903.
* Tue Aug 28 2001 - schwab@suse.de
- Update to gcc 3.0.2 snapshot 20010827.
* Wed Aug 22 2001 - schwab@suse.de
- Update to gcc 3.0.1 release.
* Tue Aug 14 2001 - schwab@suse.de
- Update to gcc 3.0.1 snapshot 20010813.
* Mon Aug 13 2001 - schwab@suse.de
- Fix missing ${DESTDIR}.
* Fri Aug 10 2001 - schwab@suse.de
- Update to gcc 3.0.1 snapshot 20010806.
* Tue Jul 17 2001 - schwab@suse.de
- Update to gcc 3.0.1 snapshot 20010716.
* Tue Jun 26 2001 - schwab@suse.de
- Update to gcc 3.0.1 snapshot 20010625.
- Remove abuild HACK.
* Wed Jun 20 2001 - ro@suse.de
- abuild HACK with libgcc_s.so.0 only on ia64
* Tue Jun 19 2001 - schwab@suse.de
- Update to gcc 3.0 release.
* Wed Jun 13 2001 - schwab@suse.de
- Don't enable -freorder-blocks with -O2.
* Tue Jun 12 2001 - schwab@suse.de
- Update to gcc 3.0 snapshot 20010611.
* Wed Jun 06 2001 - schwab@suse.de
- Update to gcc 3.0 snapshot 20010604.
* Tue May 29 2001 - schwab@suse.de
- Update to gcc 3.0 snapshot 20010528.
* Thu Apr 26 2001 - schwab@suse.de
- Update to gcc 3.0 snapshot 20010432.
- Make the reference to __ia64_app_header weak.
* Tue Apr 03 2001 - schwab@suse.de
- Update to gcc 3.0 snapshot 20010326.
* Fri Mar 16 2001 - schwab@suse.de
- Update to gcc 3.0 snapshot 20010312.
* Mon Mar 12 2001 - schwab@suse.de
- Update to gcc 3.0 snapshot 20010305.
* Sun Feb 18 2001 - schwab@suse.de
- Add patch.057.
* Thu Feb 08 2001 - schwab@suse.de
- Add patch.056.
- Default to -mb-step instead of -ma-step.
* Wed Jan 24 2001 - schwab@suse.de
- Add patch.05[345].
* Sat Jan 13 2001 - schwab@suse.de
- Add patch.04[789].
* Sat Jan 06 2001 - schwab@suse.de
- Back out Cygnus change of ignoring --with-local-prefix.
* Tue Dec 12 2000 - schwab@suse.de
- Add patch.045 and patch.046.
* Mon Dec 11 2000 - schwab@suse.de
- Fix <new> for -fhonor-std.
* Fri Dec 08 2000 - schwab@suse.de
- Add unroll loop patch.
- Add libf2c libraries from CVS and build fortran compiler.
* Tue Nov 28 2000 - schwab@suse.de
- Fix alias bug.
- Fix framesize bug.
* Sun Nov 19 2000 - schwab@suse.de
- Update to snap-001117.
* Mon Nov 06 2000 - schwab@suse.de
- Add patch.028 and patch.029.
* Thu Oct 26 2000 - schwab@suse.de
- Update to snap-001024.
* Mon Oct 23 2000 - schwab@suse.de
- Add patch.02[45].
- Compile libg++ with -fno-operator-names and remove workarounds.
* Sat Oct 14 2000 - schwab@suse.de
- Add patch.023.
* Sun Oct 01 2000 - schwab@suse.de
- Add loop patch.
* Fri Sep 29 2000 - schwab@suse.de
- Fix file list again.
* Wed Sep 27 2000 - schwab@suse.de
- Fix file list.
- Fix libg++ to compile.
* Wed Sep 27 2000 - schwab@suse.de
- Update to 0925 snapshot.
- Temporarily remove libg++.
* Tue Aug 15 2000 - schwab@suse.de
- Update to august 14 snapshot.
* Wed Jun 07 2000 - schwab@suse.de
- Enable threads in libstdc++.
* Tue Jun 06 2000 - schwab@suse.de
- Fix handling of \<newline> in preprocessor.
* Thu May 18 2000 - schwab@suse.de
- Add init/fini section fix from rth.
* Wed May 10 2000 - schwab@suse.de
- Update to may 1 release.
* Thu Apr 13 2000 - schwab@suse.de
- Change name of dynamic linker to ld-linux-ia64.so.1
- More fixes from ia64-tools.
* Wed Apr 05 2000 - schwab@suse.de
- Fix crash in GCSE.
* Tue Apr 04 2000 - schwab@suse.de
- Frame unwind fixes from ia64-tools.
* Fri Mar 31 2000 - schwab@suse.de
- More fixes from ia64-tools.
* Tue Mar 28 2000 - schwab@suse.de
- Update to march 23 release.
* Mon Mar 20 2000 - schwab@suse.de
- Add some fixes from ia64-tools.
* Fri Mar 17 2000 - schwab@suse.de
- Update to march 3 release.
* Thu Mar 02 2000 - schwab@suse.de
- Package created.
